-------------------------------------------
-- C 2020 Brad Dunbar, All rights reserved.
-------------------------------------------
KNOTS=1.9438444924406046
MILES=0.000621371
FEET=3.280839895
MILES_TO_METERS = 1609.34
FEET_TO_METERS = 0.3048
METERS_TO_FEET=3.280839895
gMeasure = {feet="feet", meters="meters" , miles="miles" , kilometers="kilometers" , km="km" ,  }
gSkill = {average="Average", good="Good" , high="High" , excellent="Excellent" , }
gDistance = {short="short", medium="medium" , far="far" }


CombatCategory = { }
CombatCategory.Ground = "Against Ground" 
CombatCategory.Airborne =  "Against Airborne" 
CombatCategory.Shipping =  "Against Vessel" 
CombatCategory.ZRandom =  "Random" 


MissionCombat = {}
MissionCombat.ANTIAIR  ={ category="Anti Aircraft" ,   desc="Anti Aircraft" , combat=CombatCategory.Ground , medium="Ground", diameter=50 }
MissionCombat.UNARMED ={ category="Unarmed Vehicle" ,  desc="Unarmed Vehicle" , combat=CombatCategory.Ground , medium="Ground" , diameter=50 }
MissionCombat.ARMORED ={ category="Armored Vehicle" ,  desc="Armored Vehicle" , combat=CombatCategory.Ground , medium="Ground" , diameter=50 }
MissionCombat.LTARMORED ={ category="Light Armored Vehicle" ,  desc="Light Armored Vehicle" , combat=CombatCategory.Ground , medium="Ground", diameter=50 }
MissionCombat.ARTILLERY ={ category="Artillery" ,  desc="Artillery" , combat=CombatCategory.Ground , medium="Ground" , diameter=50,}
MissionCombat.HARDENED ={ category="Fortification" ,  desc="Fortification" , combat=CombatCategory.Ground , medium="Ground", diameter=50 , }
MissionCombat.CONVOYARMORED ={ category="Armored Convoy" , desc="Armored Convoy" , combat=CombatCategory.Ground, medium="Ground", diameter=1000,}
MissionCombat.OUTPOST ={ category="Stationary Armored Group" , desc="Stationary Armored Group" , combat=CombatCategory.Ground, medium="Ground" , diameter=1000, }
MissionCombat.TROOPS ={ category="Ground Troops" ,  desc="Ground Troops" , combat=CombatCategory.Ground , medium="Ground" , diameter=50 }
-- MissionCombat.GROUNDCONVOY ={ category="Ground Convoy"}
-- MissionCombat.NAVAL ={ category="Naval Vessel"}


MissionCombat.BOMBER ={ category="Bomber" , desc="Bomber" , combat=CombatCategory.Airborne , medium="Airborne" , diameter=50 , }
MissionCombat.FIGHTER ={ category="Fighter", desc="Fighter" , combat=CombatCategory.Airborne, medium="Airborne" , diameter=50 , }
MissionCombat.ESCORT ={ category="Bomber With Escort", desc="Bomber With Escort" , combat=CombatCategory.Airborne, medium="Airborne" , diameter=50 , }
MissionCombat.TRAINER ={ category="Trainer Aircraft" ,desc="Trainer Aircraft" , combat=CombatCategory.Airborne, medium="Airborne" , diameter=50 , }
MissionCombat.HEAVY ={ category="Unarmed Large" , desc="Unarmed Large" , combat=CombatCategory.Airborne , medium="Airborne" , diameter=50 , }
MissionCombat.UNARMEDAIR ={ category="Unarmed" , desc="Unarmed" , combat=CombatCategory.Airborne , medium="Airborne", diameter=50 , }
MissionCombat.ROTARY ={ category="Helicopter" , desc="Helicopter" , combat=CombatCategory.Airborne , medium="Airborne" , diameter=50 , }

MissionCombat.AIRCARRIER ={ category="Aircraft Carrier" , desc="Aircraft Carrier" , combat=CombatCategory.Shipping , medium="Water" , diameter=2000 , }
MissionCombat.ASSCARRIER ={ category="Assault Carrier" , desc="Assault Carrier" , combat=CombatCategory.Shipping , medium="Water"  , diameter=2000 ,}
MissionCombat.DESTROYER ={ category="Destroyer/Cruiser" , desc="Destroyer/Cruiser" , combat=CombatCategory.Shipping , medium="Water" , diameter=2000 , }
MissionCombat.FRIGATE ={ category="Frigate/Corvette" , desc="Frigate/Corvette" , combat=CombatCategory.Shipping , medium="Water" , diameter=2000 , }
MissionCombat.CARGOSHIP ={ category="Armed Cargo Ship" , desc="Cargo Ship (Armed)" , combat=CombatCategory.Shipping , medium="Water", diameter=100 , }
MissionCombat.CARGOSHIP_UNARMED ={ category="Unarmed Cargo Ship" , desc="Cargo Ship (Unarmed)" , combat=CombatCategory.Shipping , medium="Water", diameter=100 , }
MissionCombat.SUBMARINE ={ category="Submarine" , desc="Submarine" , combat=CombatCategory.Shipping , medium="Water" , diameter=100 , }
MissionCombat.SMALLBOAT ={ category="Small Hull" , desc="Small Hull" , combat=CombatCategory.Shipping , medium="Water" , diameter=10 , }
MissionCombat.FASTATTACK ={ category="Fast Attack" , desc="Fast Attack" , combat=CombatCategory.Shipping , medium="Water" , diameter=10 , }
MissionCombat.ZANYRANDOM ={ category="Random Any" , desc="Random" , combat=CombatCategory.ZRandom , medium="Random" , diameter=2000 , }

----------------
--- WEAPONS ---
----------------
wp = {}
wp.a2a ={}
wp.a2g ={}
-- wp.a2a["LAU-105_1*AIM-9L"] = {["CLSID"] = "LAU-105_1*AIM-9L", } -- ONE AIM-9L PER MULTI PYLON
-- wp.a2a["LAU-105_2*AIM-9L"] = {["CLSID"] = "LAU-105_2*AIM-9L", } -- TWO AIM-9L PER MULTI PYLON

--wp.a2a.AIM9L = {["CLSID"] = "AIM-9L", } -- TWO AIM-9L PER MULTI PYLON

wp.a2a["CLEAN"] = {["CLSID"] = "<CLEAN>",} -- TWO AIM-9L PER MULTI PYLON
-- NATO ATA IR HEATSEAKING
wp.a2a["AIM-9L"] = {["CLSID"] = "{AIM-9L}",} -- TWO AIM-9L PER MULTI PYLON
wp.a2a["AIM-9M"] = {["CLSID"] = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}", } -- AIM-9M ONE PER PYLON
wp.a2a["AIM-9P"] = {["CLSID"] = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}", } -- AIM-9P ONE PER PYLON
wp.a2a["LAU-7-AIM-9L"] = {["CLSID"] = "{LAU-7 - AIM-9L}", } -- AIM-9L ONE PER PYLON
--wp.a2a["LAU-7-AIM-9M"] = {["CLSID"] = "{LAU-7 - AIM-9M}", } -- AIM-9M ONE PER PYLON
wp.a2a["LAU-105-2-AIM-9M"] = {["CLSID"] = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}", } -- AIM-9M TWO PER PYLON 
wp.a2a["LAU-115-2-AIM-9L"] = {["CLSID"] = "LAU-115_2*LAU-127_AIM-9L", } -- AIM-9M TWO PER PYLON 
wp.a2a["LAU-7-AIM-9M"] = {["CLSID"] = "{AIM-9M-ON-ADAPTER}", } -- AIM-9M ONE PER PYLON
wp.a2g["LAU_7_GAR8"] = {["CLSID"] = "{GAR-8}",} -- MISSINGdesc
wp.a2a["LAU-138 AIM-9L"] = {["CLSID"] = "{LAU-138 wtip - AIM-9L}", } -- AIM-9M ONE PER PYLON
wp.a2a["RB-24"] = {["CLSID"] = "{Robot24}", } -- RB-24 ONE PER PYLON
wp.a2a["MMagicII"] = {["CLSID"] = "{MMagicII}", } -- RB-24 ONE PER PYLON
wp.a2a["R530F_IR"] = {["CLSID"] = "{R530F_IR}", } -- INFARED ATA MISSLE FRENCH

-- NATO RADAR 
wp.a2a["AIM-7M"] = {["CLSID"] = "{8D399DDA-FF81-4F14-904D-099B34FE7918}", } -- AIM-7M ONE PER PYLON ( MEDIUM )
wp.a2a["AIM_120B"] = {["CLSID"] = "{C8E06185-7CD6-4C90-959F-044679E90751}" } 
wp.a2a["R530F_EM"] = {["CLSID"] = "{R530F_EM}", } -- RADAR ATA MISSLE FRENCH

-- RUSSIAN IR HEATSEAKING
wp.a2a["R-3S"] = {["CLSID"] = "{R-3S}", } -- R-3S ONE PER PYLON
wp.a2a["K-13A"] = {["CLSID"] = "{K-13A}", } -- K-13A ONE PER PYLON
wp.a2a["R-60M 2L"] = {["CLSID"] = "{R-60M 2L}", } -- R-60 TWO PER PYLON LEFT SIDE
wp.a2a["R-60M 2R"] = {["CLSID"] = "{R-60M 2R}", } -- R-60 TWO PER PYLON
wp.a2a["R-60M"] = {["CLSID"] = "{R-60M}", } -- R-60M ONE PER PYLON
wp.a2a["R_60M_Su17"] = {["CLSID"] = "{682A481F-0CB5-4693-A382-D00DD4A156D7}", } -- R-60M ONE PER PYLON For Su-17M
wp.a2a["APU-60-1 R-60M"] = {["CLSID"] = "{APU-60-1_R_60M}", } -- R-60M ONE PER PYLON
wp.a2a["R-73"] = {["CLSID"] = "{FBC29BFE-3D24-4C64-B81D-941239D12249}", } -- R-73 ONE PER PYLON
wp.a2a["R-13M"] = {["CLSID"] = "{R-13M}", } -- R-13M ONE PER PYLON

-- RUSSIAN ATG ROCKTS
wp.a2g["UB-16-57UMP"] = {["CLSID"] = "{UB-16-57UMP}", } -- R-13M ONE PER PYLON
wp.a2g["ORO57K_S5M_HEFRAG"] = {["CLSID"] = "{ORO57K_S5M_HEFRAG}", } -- R-13M ONE PER PYLON
wp.a2g["UB32M_S5M"] = { ["CLSID"] = "{UB-32_S5M}", } -- UB ROCKETS 32 ONE RACK PER PLYLON
wp.a2g["S_24B_21"] = { ["CLSID"] = "{S-24B}", } -- S-24B ROCKET 1 PER PYLON FOR MIG 21
wp.a2g["S_24B"] = { ["CLSID"] = "{3858707D-F5D5-4bbb-BDD8-ABB0530EBC7C}", } -- S-24B ROCKETS
wp.a2g["S_25_OFM"] = { ["CLSID"] = "{A0648264-4BC0-4EE8-A543-D119F6BA4257}", } -- S-24 OFM ROCKET  ONE PER PYLON
wp.a2g["S_25L"] = { ["CLSID"] = "{0180F983-C14A-11d8-9897-000476191836}", } --s-25l one rocket per pylon
wp.a2g["B_8M120S_8KOM"] = { ["CLSID"] = "{F72F47E5-C83A-4B85-96ED-D3E46671EE9A}", } -- B-8M1 - 20 S-8KOM ( HEAT ) ROCKET 20 PER PYLON
wp.a2g["B_8M120S_8OFP2"] = { ["CLSID"] = "B-8M1 - 20 S-8OFP2", } -- B-8M1 - 20 S-8KOM ( PENETRATING ) ROCKET 20 PER PYLON
wp.a2g["Kh_25ML"] = { ["CLSID"] = "{79D73885-0801-45a9-917F-C90FE1CE3DFC}", } -- KH-25 Laser guided missle one per pylon
wp.a2g["Kh_25MPU"] = { ["CLSID"] = "{752AF1D2-EBCC-4bd7-A1E7-2357F5601C70}", }-- KH-25MPU HARM missle one per pylon
wp.a2g["Kh_58U"] = { ["CLSID"] = "{B5CA9846-776E-4230-B4FD-8BCC9BFB1676}", }-- KH-25MPU HARM missle one per pylon

-- RUSSIAN BOMBS
wp.a2g["FAB_50"] = {["CLSID"] = "FAB_50", } -- R-13M ONE PER PYLON
wp.a2g["FAB_100M"] = {["CLSID"] = "FAB_100M", } -- R-13M ONE PER PYLON
wp.a2g["FAB-250"] = {["CLSID"] = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}", } -- R-13M ONE PER PYLON
wp.a2g["FAB_500_M62"] = {["CLSID"] = "{37DCC01E-9E02-432F-B61D-10C166CA2798}", } -- R-13M ONE PER PYLON

-- RUSSIAN GUN PODS
wp.a2g["SPPU_22_Gunpod"] = { ["CLSID"] = "{E92CBFE5-C153-11d8-9897-000476191836}", } --SPPU-22-1 Gun pod 
wp.a2g["PK_3"] = {["CLSID"] = "{PK-3}", } --PK-3 GUN POD FOR L-3ZA
 
-- NATO ATG ROCKETS
wp.a2g["HVARx2"] = {["CLSID"] = "{HVARx2}", } -- HVAR ROCKETS TWO PER PYLON 
wp.a2g["HVAR"] = {["CLSID"] = "{HVAR}", } -- HVAR ROCKETS ONE PER PYLON 
wp.a2g["LAU-68-7-2.75 M151(HE)"] = {["CLSID"] = "{A021F29D-18AB-4d3e-985C-FC9C60E35E9E}", } -- 7 -2.75 M151 HE ROCkETS
wp.a2g["LAU-131-7-2.75 MK5(HE)"] = {["CLSID"] = "{69926055-0DA8-4530-9F2F-C86B157EA9F6}", } -- 7 -2.75 M151 HE ROCkETS
wp.a2g["LAU-131-7-2.75 MK5(HE)"] = {["CLSID"] = "{319293F2-392C-4617-8315-7C88C22AF7C4}", } -- 7 -2.75 MK5 HE ROCkETS
wp.a2g["LAU3_FFAR_MK5_19_HEAT"] = { ["CLSID"] = "{LAU3_FFAR_MK5HEAT}",} -- MISSINGdesc
wp.a2g["Matra Type 155"] = {["CLSID"] = "{Matra155RocketPod}", } -- 7 -2.75 HE ROCkETS
wp.a2g["PHX_LAU_10_4_ZUNI_MK7"] = {["CLSID"] = "{PHXBRU3242_2*LAU10 LS}", } -- MISSINGdesc
wp.a2g["BRU_LAU_10_4_ZUNI_MK7"] = {["CLSID"] = "{BRU3242_2*LAU10 R}", } -- MISSINGdesc
wp.a2g["ADM_141A"] = {["CLSID"] = "{BRU3242_ADM141}", } -- ADM-141A ON A BRU32 PYLON
wp.a2g["M71BOMB"] = { ["CLSID"] = "{M71BOMB}", } -- M71BOMB 4 on a PYLON
wp.a2g["ARAK_M70"] = {  ["CLSID"] = "{ARAKM70BAP}", } -- M70 BOMB 4 on a PYLON
wp.a2g["LAU3_HE151"] = {  ["CLSID"] = "LAU3_HE151", } -- M70 BOMB 4 on a PYLON
wp.a2g["LAU3_HE5"] = {  ["CLSID"] = "LAU3_HE5", } -- LAU ROCKETS
wp.a2g["LAU_117_AGM_65L"] = {["CLSID"] = "LAU_117_AGM_65L",}  -- AGM-65L laser-Maverick
wp.a2g["LAU_131_MPP_APKWS_21"] = {["CLSID"] = "{LAU-131x3 - 7 AGR-20 M282}", } --21 MPP APKWS LASER GUIDED ROCKETS
wp.a2g["MATRA_F1_SNEBT251"] = {["CLSID"] = "{MATRA_F1_SNEBT251}", } --36 LASER GUIDED ROCKETS FRENCH
wp.a2g["Matra155RocketPod"] = {["CLSID"] = "{Matra155RocketPod}", } --36 LASER GUIDED ROCKETS MB339A

-- NATO BOMBS
wp.a2g["Mk-82"] = {["CLSID"] = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", } -- MK-82 BOMB ONE PER PYLON
wp.a2g["Mk_83"] = {["CLSID"] = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", } -- MK-83 BOMB ONE PER PYLON
wp.a2g["Mk_82_BRU32"] = { ["CLSID"] = "{BRU-32 MK-82}", } -- MK-82 BOMB ONE PER PYLON for BRU-32 on F14B
wp.a2g["Mk_82_4_MAK79"] = {["CLSID"] = "{MAK79_MK82 4}",} -- MK-82 BOMB ON A MAK79 4 PER PYLON
wp.a2g["Mk_82_3"] = {["CLSID"] = "{60CC734F-0AFA-4E2E-82B8-93B941AB11CF}",} -- MK-82 BOMB ON A MAK79 3 PER PYLON
wp.a2g["CBU_97"] = {["CLSID"] = "{5335D97A-35A5-4643-9D9B-026C75961E52}",} -- CBU 97 CLUSTER BOMB maybe only F16?
wp.a2g["AN_M64"] = {["CLSID"] = "{F86ANM64}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["M_117"] = {["CLSID"] = "{00F5DAC4-0466-4122-998F-B1A298E34113}", } -- m117 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["250MK4_SPIT"] = {["CLSID"] = "British_GP_250LBS_Bomb_MK4_on_LH_Spitfire_Wing_Carrier",} -- m117 500 POUND GEN PURPOSE 1 PER PYLON

-- NATO SMART BOMBS
wp.a2g["GBU-12"] = {["CLSID"] = "{DB769D48-67D7-42ED-A2BE-108D566C8B1E}", } -- GBU-12 ONE PER PYLON
wp.a2g["3_GBU_12"] = {["CLSID"] = "{BRU-42A_3*GBU-12}", } --  GBU-12 ONE PER PYLON FITS ON AV-88B
wp.a2g["GBU-38"] = {["CLSID"] = "{GBU-38}", }
wp.a2g["GBU_54_V_1B"] = {["CLSID"] = "{GBU_54_V_1B}",} -- GBU-54 laser-guided JDAM.

-- NATO ATG MISSLES
wp.a2g["LAU-88,AGM-65D*2"] = {["CLSID"] = "LAU_88_AGM_65H_2_L", }
wp.a2g["AGM_88C_HARM"] = {["CLSID"] = "{B06DD79A-F21E-4EB9-BD9D-AB3844618C93}", }

-- NATO GUNPODS FUEL TANKS
wp.a2g["ADEN GUNPOD"] = {["CLSID"] = "{ADEN_GUNPOD}", } -- GUNPOD ADEN 
wp.a2g["GAU_12_GUNPOD"] = {["CLSID"] = "{GAU_12_Equalizer}", } -- MISSINGdesc
wp.a2g["FuelTank610gal"] = {["CLSID"] = "{E1F29B21-F291-4589-9FD8-3272EEC69506}", } -- FUEL TANK 610 GALLONS
wp.a2g["FuelTank367gal"] = { ["CLSID"] = "{82364E69-5564-4043-A866-E13032926C3E}",} -- FUEL TANK 367 GALLONS
wp.a2g["FuelTankF14_300gal"] = { ["CLSID"] = "{F14-300gal}",} -- FUEL TANK 367 GALLONS
wp.a2a["FUEL_TIP_TANK_500L"] = {["CLSID"] = "{FUEL-TIP-TANK-500-L}", } --FUEL TIP TANK LEFT MB339A
wp.a2a["FUEL_TIP_TANK_500R"] = {["CLSID"] = "{FUEL-TIP-TANK-500-R}", } --FUEL TIP TANK LEFT MB339A
wp.a2g["MB339_DEFA553_L"] = {["CLSID"] = "{MB339_DEFA553_L}", } --DEFA553 GUNPOD MB339A
wp.a2g["MB339_DEFA553_R"] = {["CLSID"] = "{MB339_DEFA553_R}", } --36 LASER GUIDED ROCKETS MB339A

-- NATO DETECTOR or JAMMMING
wp.a2g["AN/AAQ-28 LITENING"] = {["CLSID"] = "{A111396E-D3E8-4b9c-8AC9-2432489304D5}", } --AN/AAQ INFARED DETECTOR LITENING
wp.a2g["AIS_ASQ_T50"] = {["CLSID"] = "{AIS_ASQ_T50}", } -- AN/AAQ INFARED DETECTOR T50 TCTS
wp.a2g["F14_LANTIRN_TP"] = {["CLSID"] = "{F14-LANTIRN-TP}", } -- F14-LANTIRN POD
wp.a2g["ALQ_164_RF_Jammer"] = {["CLSID"] = "{ALQ_164_RF_Jammer}", } -- DATA COLLECTOR PRACTICE ?
wp.a2g["AN/AAS-38 FLIR"] = {["CLSID"] = "{6C0D552F-570B-42ff-9F6D-F10D9C1D4E1C}",} -- ON f-18 Hornet
wp.a2g["AN/ASQ-173 LST/SCAM"] = {["CLSID"] = "{1C2B16EB-8EB0-43de-8788-8EBB2D70B8BC}", } -- ON f-18 Hornet
wp.a2g["Eclair"] = {  ["CLSID"] = "{Eclair}", } -- MISSINGdesc
wp.a2g["AN_ASQ_213"] = {  ["CLSID"] = "{AN_ASQ_213}", } -- HARM TARGETING SYSTEM

-- RUSSIAN DETECTOR or JAMMMING
wp.a2g["SPS_141_100"] = {["CLSID"] = "{SPS-141-100}", } -- RUSSIAN JAMMER PERHAPS BUGGED?
wp.a2g["L005_ECMpod_LEFT"] = { ["CLSID"] = "{44EE8698-89F9-48EE-AF36-5FD31896A82F}", } -- L005 Sorbtsiya ECM pod (left)
wp.a2g["L005_ECMpod_RGHT"] = {  ["CLSID"] = "{44EE8698-89F9-48EE-AF36-5FD31896A82A}", }  -- L005 Sorbtsiya ECM pod (right)
wp.a2g["MPS_410ECM"] = {   ["CLSID"] = "{44EE8698-89F9-48EE-AF36-5FD31896A82D}", }  -- L005 Sorbtsiya ECM pod (right)
wp.a2g["Mercury_LLTV_Pod"] = {  ["CLSID"] = "{B1EF6B0E-3D91-4047-A7A5-A99E7D8B4A8B}", }
wp.a2g["L081_ELINT_Pod"] = {  ["CLSID"] = "{0519A264-0AB6-11d6-9193-00A0249B6F00}", } -- L081 FANTASMAGORIA ELINT POD

-- WWII
wp.a2g["R4M_LEFT"] = {["CLSID"] = "{FW_190_R4M_LEFT_WING}", } -- ROCKETS FOR LEFT WING GERMAN
wp.a2g["R4M_RGHT"] = {["CLSID"] = "{FW_190_R4M_RGHT_WING}", }-- ROCKETS FOR RIGHT WING GERMAN
wp.a2g["SC_501"] = { ["CLSID"] = "SC_501_SC500", }-- SC_501 FOR GERMAN FW190D9
wp.a2g["SC_250"] = { ["CLSID"] = "{SC_250}", }-- SC_501 FOR GERMAN FW190A8 
wp.a2g["FuelSpitTorpedo"] = { ["CLSID"] = "SPITFIRE_45GAL_TORPEDO_TANK", } -- FUEL TANK 45 GALLONS FOR SPITFIRE
wp.a2a["FuelSpitSlipper"] = { ["CLSID"] = "SPITFIRE_45GAL_SLIPPER_TANK", } -- FUEL TANK 45 GALLONS FOR SPITFIRE
wp.a2g["AN_M64_WWII"] = {["CLSID"] = "{AN-M64}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["AN_M65_WWII"] = {["CLSID"] = "{AN_M65}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["I16_RS_82"] = {["CLSID"] = "I16_RS_82", } -- RS-82 ROCKET FOR THE I-16 ON PER PYLON
wp.a2g["US_108GAL_PAPER_FUEL_TANK"] = {["CLSID"] = "{US_108GAL_PAPER_FUEL_TANK}",} -- 108 gallon paper fuel tank
wp.a2g["P47D40_HVAR_LEFT"] = {["CLSID"] = "{P47_5_HVARS_ON_LEFT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["P47D40_HVAR_RIGHT"] = {["CLSID"] = "{P47_5_HVARS_ON_RIGHT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["British_GP_500LB_Bomb_Mk5"] = { ["CLSID"] = "{British_GP_500LB_Bomb_Mk5}", ["settings"] = {["vane_rev_threshold_ctrl_TP17MkI"] = 8,["function_delay_ctrl_TP17MkI"] = 1800,["GUI_fuze_type"] = 1,}, }-- WING TIP Mk 5 500 POUND FOR MOSSIE
wp.a2g["British_MC_500LB_Bomb_Mk2"] = { ["CLSID"] = "{British_MC_500LB_Bomb_Mk2}", ["settings"] = {["vane_rev_threshold_ctrl_NP27MkII"] = 7,["function_delay_ctrl_NP27MkII"] = 0,["GUI_fuze_type"] = 1,}, }-- WING TIP Mk 2 500 POUND FOR MOSSIE
wp.a2g["British_MK1_HP_CB"] = { ["CLSID"] = "{British_MC_500LB_Bomb_Mk1_Short_on_Handley_Page_Type_B_Cut_Bar}", }-- BELLY 500 POUND FOR MOSSIE
wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_LEFT"] = {["CLSID"] = "{MOSSIE_2_British_HE_60LBFNo1_3INCHNo1_ON_LEFT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_RIGHT"] = {["CLSID"] = "{MOSSIE_2_British_HE_60LBFNo1_3INCHNo1_ON_RIGHT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON


-- ROTARY
wp.a2g["M261_MK151"] = {["CLSID"] = "M261_MK151",} -- MK151 ROCKETS FOR UH-1H
wp.a2g["M134_MG_LEFT"] = { ["CLSID"] = "M134_L",} -- MINIGUN LEFT SIDE FOR UH-1H
wp.a2g["M134_MG_RIGHT"] = { ["CLSID"] = "M134_R",} -- MINIGUN RIGHT SIDE FOR UH-1H
wp.a2g["SA342_SAND"] = { ["CLSID"] = "{FAS}",} -- SAND FILTER
wp.a2g["SA342_IR"] = { ["CLSID"] = "{IR_Deflector}",} -- IR DISRUPTOR
wp.a2g["SA342_HOT3"] = { ["CLSID"] = "{HOT3D}",} -- HOT3 MISSLE ONE PER PYLON
wp.a2g["SA342_SNEB68G"] = { ["CLSID"] = "{LAU_SNEB68G}",} -- SNEB68G 8 ROCKETS PER PYLON
wp.a2g["SA342_Mistral"] = { ["CLSID"] = "{MBDA_MistralD}",} -- Mistral 1 MISSLE PER PYLON
wp.a2g["GUV_YAKB"] = { ["CLSID"] = "GUV_YakB_GSHP",} -- GUV_YakB FOR Mi-8 GUNSHIP ONE PER PYLON
wp.a2g["GUV_VOG"] = { ["CLSID"] = "GUV_VOG",} -- GRENADE POD FOR Mi-8 GUNSHIP ONE PER PYLON
wp.a2g["B_8V20A_OFP"] = { ["CLSID"] = "B_8V20A_OFP2",} -- S-8 ROCKTS FOR GUNSHIP PENETRATING 20 PER PYLON
wp.a2g["KA_50_UPK23"] = { ["CLSID"] = "{05544F1A-C39C-466b-BC37-5BD1D52E57BB}",} -- UPK-23 GUNPOD FOR KA-50
wp.a2g["KA_50_KH_25ML"] = { ["CLSID"] = "{6DADF342-D4BA-4D8A-B081-BA928C4AF86D}", } -- UPK-23 GUNPOD FOR KA-50
wp.a2g["LAU_61_MK151_HE_19"] = { ["CLSID"] = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}", } -- 19 MK151 HE ON LAU-16
wp.a2g["LAU_61_MK156_WP_19"] = { ["CLSID"] = "{3DFB7321-AB0E-11d7-9897-000476191836}", } -- 19 MK151 HE ON LAU-16
wp.a2g["M260_HYDRA_MK156_7"] = { ["CLSID"] = "M260_HYDRA", } -- 19 MK151 HE ON LAU-16
wp.a2g["AH64_MK151"] = {["CLSID"] = "{M261_OUTBOARD_AB_M151_E_M274}",} -- MK151 ROCKETS FOR AH-64D
wp.a2g["AGM_114K_4"] = { ["CLSID"] = "{88D18A5E-99C8-4B04-B40B-1C02F2018B6E}", } -- AGM 114k MISSLES 4 PER PYLON
wp.a2g["BGM_71D_TOW_4"] = { ["CLSID"] = "{3EA17AB0-A805-4D9E-8732-4CE00CB00F17}", } -- BGM 71D TOW MISSLES 4 PER PYLON

-- CHINESE AIR TO AIR
wp.a2a["PL_5EII"] = { ["CLSID"] = "DIS_PL-5EII", }-- HEAT SEAKING AIR TO AIR MISSLE 1 PER PYLON
wp.a2a["SD_10_DUAL_L"] ={ ["CLSID"] = "DIS_SD-10_DUAL_L", }-- HEAT SEAKING AIR TO AIR MISSLE 2 PER PYLON LEFT 
wp.a2a["SD_10_DUAL_R"] ={ ["CLSID"] = "DIS_SD-10_DUAL_R", } -- HEAT SEAKING AIR TO AIR MISSLE 2 PER PYLON RIGHT 
wp.a2a["LD_10"] = { ["CLSID"] = "DIS_LD-10",} --  RADAR GUIDED AIR TO AIR MISSLE 1 PER PYLON
-- CHINESE AIR TO GROUND
wp.a2g["BRU33_LAU68_MK5"] =  {["CLSID"] = "{BRU33_2*LAU68_MK5}",} -- LAU
-- CHINESE JAMMING OR TARGETING PODS
wp.a2g["DIS_SPJ_POD"] = { ["CLSID"] = "DIS_SPJ_POD" , }
-- CLEAN AIRFRAME
wp.a2a["CLEAN"] = { ["CLSID"] = "<CLEAN>",} -- CLEAN AIRFRAME
-- SMOKE
-- wp.a2a["SMOKE_CE2"] = { ["CLSID"] = "{CE2_SMOKE_WHITE}",} -- CHRISTENEAGLEII SMOKE


--
pylons = {}
pylons.A2A={}
pylons.A2G={}
pylons.HARM={}
pylons.SMOKE={}

-- FOR COPY PASTE
--pylons.A2G.AIRCRAFT = { [1] = wp.a2g["ONE"] , [2] = wp.a2g["TWO"] ,[3] = wp.a2g["THREE"] , [4] = wp.a2g["FOUR"] ,[5] = wp.a2g["FIVE"] ,[6] = wp.a2g["SIX"] ,[7] = wp.a2g["SEVEN"] ,[8] = wp.a2g["EIGHT"],[9] = wp.a2g["nine"],[10] = wp.a2g["10"],[11] = wp.a2g["11"],}


-- ROTARY
pylons.A2G.UH1H = { [1] = wp.a2g["M134_MG_LEFT"] , [2] = wp.a2g["M261_MK151"] ,[5] = wp.a2g["M261_MK151"] , [6] = wp.a2g["M134_MG_RIGHT"] , }
pylons.A2G.MI8MT = { [1] = wp.a2g["GUV_VOG"] , [2] = wp.a2g["GUV_YAKB"] ,[3] = wp.a2g["B_8V20A_OFP"] , [4] = wp.a2g["B_8V20A_OFP"] ,[5] = wp.a2g["GUV_YAKB"] ,[6] = wp.a2g["GUV_VOG"] ,}
pylons.A2G.SA342L = {  [2] = wp.a2g["SA342_SNEB68G"] ,[5] = wp.a2g["SA342_SAND"] ,[6] = wp.a2g["SA342_IR"] , }
pylons.A2G.SA342M = { [1] = wp.a2g["SA342_HOT3"] , [2] = wp.a2g["SA342_HOT3"] ,[3] = wp.a2g["SA342_HOT3"] , [4] = wp.a2g["SA342_HOT3"] ,[5] = wp.a2g["SA342_SAND"] ,[6] = wp.a2g["SA342_IR"] ,}
pylons.A2G.SA342MISTRAL = { [1] = wp.a2g["SA342_Mistral"] , [2] = wp.a2g["SA342_Mistral"] ,[3] = wp.a2g["SA342_Mistral"] , [4] = wp.a2g["SA342_Mistral"] ,[5] = wp.a2g["SA342_SAND"] ,[6] = wp.a2g["SA342_IR"] ,}
pylons.A2G.SA342MINIGUN = { [5] = wp.a2g["SA342_SAND"] ,[6] = wp.a2g["SA342_IR"] ,}
pylons.A2G.KA50 = { [1] = wp.a2g["B_8V20A_OFP"] , [2] = wp.a2g["KA_50_UPK23"] ,[3] = wp.a2g["KA_50_UPK23"] , [4] = wp.a2g["KA_50_KH_25ML"] , }
pylons.A2G.AH1W = { [1] = wp.a2g["BGM_71D_TOW_4"] , [2] = wp.a2g["LAU_61_MK151_HE_19"] ,[3] = wp.a2g["LAU_61_MK151_HE_19"] , [4] = wp.a2g["BGM_71D_TOW_4"] , }
pylons.A2G.AH64DBLKII = { [1] = wp.a2g["AH64_MK151"] , [2] = wp.a2g["AGM_114K_4"] ,[3] = wp.a2g["AH64_MK151"] , [4] = wp.a2g["AGM_114K_4"] ,}
pylons.A2G.AH64D = { [1] = wp.a2g["AGM_114K_4"] , [2] = wp.a2g["LAU_61_MK156_WP_19"] ,[3] = wp.a2g["LAU_61_MK156_WP_19"] , [4] = wp.a2g["AGM_114K_4"] , }

-- NATO ATA
pylons.A2A.F15C 	= { [1] = wp.a2a["AIM-9L"], [3] = wp.a2a["AIM-9L"] , [9] = wp.a2a["AIM-9L"], [11] = wp.a2a["AIM-9L"], }
pylons.A2A.F5E3 	= { [1] = wp.a2a["AIM-9P"], [7] = wp.a2a["AIM-9P"] , }
pylons.A2A.F86FSABRE = { [5] = wp.a2g["LAU_7_GAR8"] ,[6] = wp.a2g["LAU_7_GAR8"],}
pylons.A2A.AV8BNA= { [1] = wp.a2a["AIM-9M"],  [4] = wp.a2g["GAU_12_GUNPOD"] , [8] = wp.a2a["AIM-9M"],}
pylons.A2A.A10A 	= { [1] = wp.a2a["LAU-105-2-AIM-9M"],  [11] = wp.a2a["LAU-105-2-AIM-9M"],}
pylons.A2A.F14A	= { [1] = wp.a2a["AIM-9L"],  [12] = wp.a2a["AIM-9L"],}
pylons.A2A.F14B	= { [1] = wp.a2a["LAU-138 AIM-9L"],  [2] = wp.a2a["LAU-7-AIM-9L"],[9] = wp.a2a["LAU-7-AIM-9L"],  [10] = wp.a2a["LAU-138 AIM-9L"],}
pylons.A2A.AJS37 = { [1] = wp.a2a["RB-24"],  [2] = wp.a2a["RB-24"],[3] = wp.a2a["RB-24"],  [7] = wp.a2a["RB-24"],}
pylons.A2A.FA18C= {[1] = wp.a2a["AIM-9L"] , [2] = wp.a2a["LAU-115-2-AIM-9L"], [8] = wp.a2a["LAU-115-2-AIM-9L"], [9] = wp.a2a["AIM-9L"], }
pylons.A2A.M2000C	= {[1] = wp.a2a["MMagicII"] , [2] = wp.a2a["MMagicII"], [8] = wp.a2a["MMagicII"], [9] = wp.a2a["MMagicII"], }
pylons.A2A.A10C		= {[1] = wp.a2a["LAU-105-2-AIM-9M"] , [11] = wp.a2a["LAU-105-2-AIM-9M"],  }
pylons.A2A.F15E 		= { [1] = wp.a2a["AIM-9M"], [3] = wp.a2a["AIM-9M"] , [17] = wp.a2a["AIM-9M"], [19] = wp.a2a["AIM-9M"], }
pylons.A2A.F16			= { [1] = wp.a2a["AIM-9L"], [2] = wp.a2a["AIM-9L"] , [9] = wp.a2a["AIM-9L"], [10] = wp.a2a["AIM-9L"], }
pylons.A2A.MIRAGE20005	= {[1] = wp.a2a["MMagicII"] , [9] = wp.a2a["MMagicII"],  }
pylons.A2A.TORNADOGR4	= { [3] = wp.a2a["AIM-9M"], [10] = wp.a2a["AIM-9M"] , }
pylons.A2A.JF17	= { [1] = wp.a2a["PL_5EII"], [2] = wp.a2a["LD_10"] , [6] = wp.a2a["LD_10"], [7] = wp.a2a["PL_5EII"], }
pylons.A2A.F16C50		= { [1] = wp.a2a["AIM-9M"], [2] = wp.a2a["AIM-9M"] , [3] = wp.a2a["AIM_120B"], [7] = wp.a2a["AIM_120B"], [8] = wp.a2a["AIM-9M"] , [9] = wp.a2a["AIM-9M"], }
pylons.A2A.F4E   = {[2] = {["CLSID"] = "{F4-2-AIM9L}",}, [3] = {["CLSID"] = "{8D399DDA-FF81-4F14-904D-099B34FE7918}",}, [7] = {["CLSID"] = "{8D399DDA-FF81-4F14-904D-099B34FE7918}",}, [8] = {["CLSID"] = "{F4-2-AIM9L}"}, }
pylons.A2A.MIRAGEF1CE= { [1] = wp.a2a["AIM-9P"], [3] = wp.a2a["R530F_IR"] ,[5] = wp.a2a["R530F_EM"] , [7] = wp.a2a["AIM-9P"] ,}

-- NATO ATG
pylons.A2G.A10A 	= { [2] = wp.a2g["LAU-131-7-2.75 MK5(HE)"] , [3] = wp.a2g["LAU-68-7-2.75 M151(HE)"] ,[4] = wp.a2g["Mk-82"] , [5] = wp.a2g["Mk-82"] ,[6] = wp.a2g["Mk-82"] ,[7] = wp.a2g["Mk-82"] ,[8] = wp.a2g["Mk-82"] ,[9] = wp.a2g["LAU-68-7-2.75 M151(HE)"] , [10] = wp.a2g["LAU-131-7-2.75 MK5(HE)"] ,}
pylons.A2G.A10C = { [1] = wp.a2g["Mk-82"] , [2] = wp.a2g["LAU-131-7-2.75 MK5(HE)"] ,[3] = wp.a2g["LAU-88,AGM-65D*2"] , [4] = wp.a2g["GBU-12"] ,[5] = wp.a2g["GBU-38"] ,[6] = wp.a2g["Mk-82"] ,[7] = wp.a2g["GBU-38"] ,[8] = wp.a2g["GBU-12"],[9] = wp.a2g["LAU-88,AGM-65D*2"],[10] = wp.a2g["AN/AAQ-28 LITENING"],[11] = wp.a2g["Mk-82"],}
pylons.A2G.F15C = { [1] = wp.a2g["AIS_ASQ_T50"] , [2] = wp.a2g["FuelTank610gal"] ,[3] = wp.a2a["AIM_120B"] , [4] = wp.a2a["AIM-7M"] ,[5] = wp.a2a["AIM-7M"] ,[6] = wp.a2g["FuelTank610gal"] ,[7] = wp.a2a["AIM-7M"] ,[8] = wp.a2a["AIM-7M"],[9] = wp.a2a["AIM-120B"],[10] = wp.a2g["FuelTank610gal"],[11] = wp.a2g["AIS_ASQ_T50"],}
pylons.A2G.AV8BNA = { [1] = wp.a2g["Mk-82"] , [2] = wp.a2g["LAU3_FFAR_MK5_19_HEAT"] ,[3] = wp.a2g["3_GBU_12"] , [4] = wp.a2g["GAU_12_GUNPOD"] ,[5] = wp.a2g["ALQ_164_RF_Jammer"] ,[6] = wp.a2g["AN/AAQ-28 LITENING"] ,[7] = wp.a2g["3_GBU_12"] ,[8] = wp.a2g["Mk-82"],}
pylons.A2G.F5E3 = { [1] = wp.a2g["AIS_ASQ_T50"] , [2] = wp.a2g["LAU3_FFAR_MK5_19_HEAT"] ,[3] = wp.a2g["Mk-82"] , [4] = wp.a2g["Mk-82"] ,[5] = wp.a2g["Mk-82"] ,[6] = wp.a2g["LAU3_FFAR_MK5_19_HEAT"] ,[7] = wp.a2g["AIS_ASQ_T50"] , }
pylons.A2G.F86FSABRE = { [1] = wp.a2g["HVARx2"] , [2] = wp.a2g["HVARx2"] , [4] = wp.a2g["AN_M64"] ,[7] = wp.a2g["AN_M64"] ,[9] = wp.a2g["HVARx2"],[10] = wp.a2g["HVARx2"],}
pylons.A2G.F14A = { [1] = wp.a2g["AIS_ASQ_T50"] , [3] = wp.a2g["FuelTank367gal"] ,[10] = wp.a2g["FuelTank367gal"] , [12] = wp.a2g["AIS_ASQ_T50"] ,}
pylons.A2G.F14B = { [1] = wp.a2g["AIS_ASQ_T50"] , [2] = wp.a2g["PHX_LAU_10_4_ZUNI_MK7"] ,[3] = wp.a2g["FuelTankF14_300gal"] , [4] = wp.a2g["BRU_LAU_10_4_ZUNI_MK7"] ,[5] = wp.a2g["Mk_82_BRU32"] ,[6] = wp.a2g["ADM_141A"] ,[7] = wp.a2g["Mk_82_4_MAK79"] ,[8] = wp.a2g["FuelTankF14_300gal"] ,[9] = wp.a2g["F14_LANTIRN_TP"],[10] = wp.a2g["AIS_ASQ_T50"],}
pylons.A2G.FA18C = { [1] = wp.a2g["AIS_ASQ_T50"] , [2] = wp.a2g["Mk_82_3"] ,[3] = wp.a2g["GBU-12"] , [4] = wp.a2g["AN/AAS-38 FLIR"] ,[5] = wp.a2g["AN/AAQ-28 LITENING"] ,[6] = wp.a2g["AN/ASQ-173 LST/SCAM"] ,[7] = wp.a2g["GBU-12"] ,[8] = wp.a2g["Mk_82_3"],[9] = wp.a2g["AIS_ASQ_T50"],}
pylons.A2G.M2000C = { [1] = wp.a2g["Matra Type 155"] , [2] = wp.a2g["Matra Type 155"] ,[3] = wp.a2g["Mk-82"] , [4] = wp.a2g["Mk-82"] ,[5] = wp.a2g["GBU-12"] ,[6] = wp.a2g["Mk-82"] ,[7] = wp.a2g["Mk-82"] ,[8] = wp.a2g["Matra Type 155"],[9] = wp.a2g["Matra Type 155"],[10] = wp.a2g["Eclair"],}
pylons.A2G.AJS37 = {  [2] = wp.a2g["M71BOMB"] ,[3] = wp.a2g["ARAK_M70"]  ,[5] = wp.a2g["ARAK_M70"] ,[6] = wp.a2g["M71BOMB"] ,}
pylons.A2G.JF17	= { [2] = wp.a2g["Mk_83"], [3] = wp.a2g["BRU33_LAU68_MK5"] , [4] = wp.a2g["Mk_83"] , [5] = wp.a2g["BRU33_LAU68_MK5"] ,  [6] = wp.a2g["Mk_83"],  }
-- pylons.A2G.F16C50		= {[1] = wp.a2a["AIM-9M"], [2] = wp.a2a["CLEAN"], [3] = wp.a2g["LAU3_HE151"], [4] = wp.a2g["Mk-82"] , [6] = wp.a2g["GBU-12"], [7] = wp.a2g["LAU3_HE151"], [8] = wp.a2a["CLEAN"],[9] = wp.a2a["AIM-9M"], [11] = wp.a2g["AN/AAQ-28 LITENING"] , }
pylons.A2G.F16C50		= {[1] = wp.a2a["AIM-9M"], [2] = wp.a2a["CLEAN"], [3] = wp.a2g["Mk-82"], [4] = wp.a2g["GBU-12"] , [6] = wp.a2g["GBU-12"], [7] = wp.a2g["Mk-82"], [8] = wp.a2a["CLEAN"],[9] = wp.a2a["AIM-9M"], [11] = wp.a2g["AN/AAQ-28 LITENING"] , }
pylons.A2G.A10CII = { [1] = wp.a2g["GBU-12"] , [2] = wp.a2g["GBU-12"] ,[3] = wp.a2g["LAU_117_AGM_65L"] , [4] = wp.a2g["LAU_131_MPP_APKWS_21"] ,[5] = wp.a2g["GBU_54_V_1B"] ,[6] = wp.a2g["GBU-12"] ,[7] = wp.a2g["GBU_54_V_1B"] ,[8] = wp.a2g["LAU_131_MPP_APKWS_21"],[9] = wp.a2g["LAU_117_AGM_65L"],[10] = wp.a2g["AN/AAQ-28 LITENING"],[11] = wp.a2g["GBU-12"],}
pylons.A2G.MIRAGEF1CE= { [1] = wp.a2a["AIM-9P"],  [2] = wp.a2g["Mk-82"], [3] = wp.a2g["MATRA_F1_SNEBT251"] ,[4] = wp.a2g["GBU-12"], [5] = wp.a2g["MATRA_F1_SNEBT251"] , [6] = wp.a2g["Mk-82"] , [7] = wp.a2a["AIM-9P"] }

-- RUSSIAN ATG
pylons.A2G.MIG15BIS = { [1] = wp.a2g["FAB_50"] , [2] = wp.a2g["FAB_100M"] ,}
pylons.A2G.MIG19P = {  [2] = wp.a2g["FAB-250"] ,[3] = wp.a2g["ORO57K_S5M_HEFRAG"] , [4] = wp.a2g["ORO57K_S5M_HEFRAG"] ,[5] = wp.a2g["FAB-250"] ,}
pylons.A2G.MIG21BIS = { [1] = wp.a2g["FAB-250"] , [2] = wp.a2g["FAB_500_M62"] ,[3] = wp.a2g["SPS_141_100"] , [4] = wp.a2g["UB32M_S5M"] ,[5] = wp.a2g["S_24B_21"] ,}
pylons.A2G.SU33 = { [1] = wp.a2g["L005_ECMpod_LEFT"] , [2] = wp.a2g["FAB-250"] ,[3] = wp.a2g["FAB-250"] , [4] = wp.a2g["S_25_OFM"] ,[5] = wp.a2g["FAB_500_M62"] ,[6] = wp.a2g["FAB-250"] ,[7] = wp.a2g["FAB-250"] ,[8] = wp.a2g["FAB_500_M62"],[9] = wp.a2g["B_8M120S_8KOM"],[10] = wp.a2g["FAB-250"],[11] = wp.a2g["FAB-250"],[12] = wp.a2g["L005_ECMpod_RGHT"],} 
pylons.A2G.MIG29 = { [2] = wp.a2g["S_24B"] ,[3] = wp.a2g["B_8M120S_8OFP2"] , [5] = wp.a2g["FAB_500_M62"] ,[6] = wp.a2g["FAB_500_M62"] , }
pylons.A2G.SU25T = { [1] = wp.a2g["MPS_410ECM"] , [2] = wp.a2g["B_8M120S_8OFP2"] ,[3] = wp.a2g["FAB_500_M62"] , [4] = wp.a2g["S_24B"] ,[5] = wp.a2g["SPPU_22_Gunpod"] ,[6] = wp.a2g["Mercury_LLTV_Pod"] ,[7] = wp.a2g["SPPU_22_Gunpod"] ,[8] = wp.a2g["Kh_25ML"],[9] = wp.a2g["FAB_500_M62"],[10] = wp.a2g["B_8M120S_8OFP2"],[11] = wp.a2g["MPS_410ECM"],  }
pylons.A2G.SU25 = {[2] = wp.a2g["B_8M120S_8OFP2"] ,[3] = wp.a2g["FAB_500_M62"] , [4] = wp.a2g["S_25L"] ,[5] = wp.a2g["SPPU_22_Gunpod"] ,[6] = wp.a2g["SPPU_22_Gunpod"] ,[7] = wp.a2g["S_25L"] ,[8] = wp.a2g["FAB_500_M62"],[9] = wp.a2g["B_8M120S_8OFP2"],}
pylons.A2G.SU27 = { [3] = wp.a2g["B_8M120S_8OFP2"] , [4] = wp.a2g["FAB_500_M62"] ,[5] = wp.a2g["FAB_500_M62"] ,[6] = wp.a2g["FAB_500_M62"] ,[7] = wp.a2g["FAB_500_M62"] ,[8] = wp.a2g["B_8M120S_8OFP2"],}
-- RUSSIAN ATA
pylons.A2A.MIG19P 	= { [1] = wp.a2a["K-13A"], [6] = wp.a2a["K-13A"] , }
pylons.A2A.MIG21BIS 	= { [1] = wp.a2a["R-60M 2L"], [5] = wp.a2a["R-60M 2R"],}
pylons.A2A.SU27 		= { [1] = wp.a2a["R-73"],  [2] = wp.a2a["R-73"], [10] = wp.a2a["R-73"], [9] = wp.a2a["R-73"],}
pylons.A2A.MIG29A 	= { [1] = wp.a2a["R-60M"],  [2] = wp.a2a["R-60M"],[6] = wp.a2a["R-60M"], [7] = wp.a2a["R-60M"],}
pylons.A2A.MIG29S 	= { [1] = wp.a2a["R-73"],  [2] = wp.a2a["R-73"],  [6] = wp.a2a["R-73"], [7] = wp.a2a["R-73"],}
pylons.A2A.SU25 		= { [1] = wp.a2a["R-60M"], [10] = wp.a2a["R-60M"] , }
pylons.A2A.SU25T 	= { [1] = wp.a2a["R-60M"],[2] = wp.a2a["R-73"], [10] = wp.a2a["R-73"],  [11] = wp.a2a["R-60M"],}
pylons.A2A.SU33 		= { [1] = wp.a2a["R-73"],  [2] = wp.a2a["R-73"],[3] = wp.a2a["R-73"],  [10] = wp.a2a["R-73"], [11] = wp.a2a["R-73"], [12] = wp.a2a["R-73"],}

pylons.A2A.MIG25PD	= { [1] = wp.a2a["R-60M"],  [2] = wp.a2a["R-60M"],[3] = wp.a2a["R-60M"], [4] = wp.a2a["R-60M"],}
pylons.A2A.MIG27K	= { [2] = wp.a2a["R-60M"],  [3] = wp.a2a["R-60M"],[7] = wp.a2a["R-60M"], [8] = wp.a2a["R-60M"],}
pylons.A2A.MIG31 	= { [1] = wp.a2a["R-60M 2L"], [6] = wp.a2a["R-60M 2R"],}
pylons.A2A.SU17M4	= { [2] = wp.a2a["R_60M_Su17"],  [7] = wp.a2a["R_60M_Su17"],}
pylons.A2A.SU24M 	= { [1] = wp.a2a["R-60M 2L"], [8] = wp.a2a["R-60M 2R"],}
pylons.A2A.SU30  	= { [1] = wp.a2a["R-73"],  [2] = wp.a2a["R-73"], [10] = wp.a2a["R-73"], [9] = wp.a2a["R-73"],}
pylons.A2A.SU34		= { [1] = wp.a2a["R-73"],  [2] = wp.a2a["R-73"], [11] = wp.a2a["R-73"], [12] = wp.a2a["R-73"],}

pylons.A2A.MIG15BIS = { [1] = {} , [2] = {} ,}

-- TRAINERS ATA
pylons.A2A.C101CC		= {[1] = wp.a2a["AIM-9M"] , [7] = wp.a2a["AIM-9M"],  }
pylons.A2A.L39C			= {[1] = wp.a2a["R-3S"] , [3] = wp.a2a["R-3S"],  }
pylons.A2A.L39ZA	= {[1] = wp.a2a["APU-60-1 R-60M"] , [5] = wp.a2a["APU-60-1 R-60M"] , }
pylons.A2A.HAWK			= {[1] = wp.a2a["LAU-7-AIM-9M"] , [5] = wp.a2a["LAU-7-AIM-9M"],  }
pylons.A2A.MB339A= { [1] = wp.a2a["FUEL_TIP_TANK_500L"],[4] = wp.a2a["MB339_DEFA553_L"], [7] = wp.a2a["MB339_DEFA553_R"] , [10] = wp.a2a["FUEL_TIP_TANK_500R"] }

-- TRAINERS ATG
-- pylons.A2G.L39ZA	= {[1] = wp.a2g["UB-16-57UMP"] , [2] = wp.a2g["FAB-250"] , [4] = wp.a2g["FAB-250"] , [5] = wp.a2g["UB-16-57UMP"] , }
pylons.A2G.L39ZA	={[1] =  { ["CLSID"] = "{UB-16-57UMP}", },[2] = wp.a2g["PK_3"] ,[4] = wp.a2g["PK_3"] , [5] = {["CLSID"] = "{UB-16-57UMP}",}, }
pylons.A2G.L39C		= {[1] = wp.a2g["UB-16-57UMP"] , [3] = wp.a2g["UB-16-57UMP"], }
pylons.A2G.L39C		= {[1] = wp.a2g["UB-16-57UMP"] , [3] = wp.a2g["UB-16-57UMP"], }
pylons.A2G.EMPTY    = {[5] = {} , [6] = {} }
pylons.A2G.MB339A= { [1] = wp.a2a["FUEL_TIP_TANK_500L"],  [2] = wp.a2g["Matra155RocketPod"], [3] = wp.a2g["Mk-82"] ,[4] = wp.a2g["MB339_DEFA553_L"] , [7] = wp.a2g["MB339_DEFA553_R"] , [8] = wp.a2g["Mk-82"]  , [9] = wp.a2g["Matra155RocketPod"]  , [10] = wp.a2a["FUEL_TIP_TANK_500R"] }

-- pylons.A2G.L39ZA	={[1] =  { ["CLSID"] = "{UB-16-57UMP}", },[2] = {["CLSID"] = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}",},[4] = {["CLSID"] = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}",}, [5] = {["CLSID"] = "{UB-16-57UMP}",}, }


pylons.A2G.C101CC	= {[2] = wp.a2g["FAB-250"] , [3] = wp.a2g["LAU-68-7-2.75 M151(HE)"] , [5] = wp.a2g["LAU-68-7-2.75 M151(HE)"] , [6] = wp.a2g["FAB-250"] , }
pylons.A2G.HAWK		= {[2] = wp.a2g["Mk-82"] , [3] = wp.a2g["ADEN GUNPOD"] , [4] = wp.a2g["Matra Type 155"] ,  }

-- WWII
pylons.A2G.BF109K4 = { [1] = wp.a2g["SC_501"] , }
pylons.A2G.FW190D9 = { [1] = wp.a2g["SC_501"] , [2] = wp.a2g["R4M_LEFT"] ,[3] = wp.a2g["R4M_RGHT"] , }

pylons.A2G.FW190A8 = {  [1] = {["CLSID"] = "{SD_500_A}",},[2] = {["CLSID"] = "{WGr21}",},[3] = {["CLSID"] = "{WGr21}",}, }
-- pylons.A2G.FW190A8 = { [1] = wp.a2g["SC_250"] , }
pylons.A2G.P51D30NA = { [1] = wp.a2g["HVAR"] , [2] = wp.a2g["HVAR"] ,[3] = wp.a2g["HVAR"] , [4] = wp.a2g["AN_M64_WWII"] ,[7] = wp.a2g["AN_M64_WWII"] ,[8] = wp.a2g["HVAR"],[9] = wp.a2g["HVAR"], [10] = wp.a2g["HVAR"],}
pylons.A2G.SPITFIRELFMKIX = { [1] = wp.a2g["250MK4_SPIT"] , [2] = wp.a2g["FuelSpitTorpedo"] ,[3] = wp.a2g["250MK4_SPIT"] , }
pylons.A2A.SPITFIRELFMKIX = {  [2] = wp.a2a["FuelSpitSlipper"] , }
pylons.A2G.I16 = { [1] = wp.a2g["I16_RS_82"] , [2] = wp.a2g["I16_RS_82"] ,[3] = wp.a2g["I16_RS_82"] , [4] = wp.a2g["I16_RS_82"] ,[5] = wp.a2g["I16_RS_82"] ,[6] = wp.a2g["I16_RS_82"] , } 
pylons.A2G.P47D30= { [1] = wp.a2g["AN_M64_WWII"],  [2] = wp.a2g["AN_M64_WWII"], [3] = wp.a2g["AN_M64_WWII"],}
pylons.A2G.P47D40= { [1] = wp.a2g["AN_M64_WWII"],  [2] = wp.a2g["AN_M65_WWII"], [3] = wp.a2g["AN_M65_WWII"],[4] = wp.a2g["P47D40_HVAR_LEFT"], [5] = wp.a2g["P47D40_HVAR_RIGHT"],}
pylons.A2G.MOSQUITOFBMKVI= { [1] = wp.a2g["British_MC_500LB_Bomb_Mk2"],  [2] = wp.a2g["British_MC_500LB_Bomb_Mk2"], [3] = wp.a2g["British_MK1_HP_CB"],[4] = wp.a2g["British_MK1_HP_CB"], [5]=wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_LEFT"],[6]=wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_RIGHT"],}


wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_LEFT"] = {["CLSID"] = "{MOSSIE_2_British_HE_60LBFNo1_3INCHNo1_ON_LEFT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON
wp.a2g["MOSSIE_HE_60LBFNo1_3INCHNo1_RIGHT"] = {["CLSID"] = "{MOSSIE_2_British_HE_60LBFNo1_3INCHNo1_ON_RIGHT_WING_RAILS}", } -- AN/M64 500 POUND GEN PURPOSE 1 PER PYLON


pylons.A2A.P47D= { [2] = wp.a2a["CLEAN"], [3] = wp.a2a["CLEAN"] ,}
pylons.A2A.EMPTY = {[5] = {} , [6] = {} }
pylons.A2A.WWIIEMPTY = {}
pylons.A2A.CLEAN = {[1] = wp.a2a["CLEAN"] , [2] = wp.a2a["CLEAN"]  ,[3] = wp.a2a["CLEAN"] , [4] = wp.a2a["CLEAN"]  ,[5] = wp.a2a["CLEAN"]  ,[6] = wp.a2a["CLEAN"]  ,[7] = wp.a2a["CLEAN"]  ,[8] = wp.a2a["CLEAN"] ,[9] = wp.a2a["CLEAN"] ,[10] = wp.a2a["CLEAN"] ,[11] = wp.a2a["CLEAN"] ,  }

-- HARM - PYLONS GBU-38
pylons.HARM.F16C50	= { [1] = wp.a2a["AIM-9M"], [2] = wp.a2a["AIM-9M"] , [3] = wp.a2g["GBU-38"] , [4] = wp.a2g["AGM_88C_HARM"] , [5] = wp.a2a["CLEAN"], [6] = wp.a2g["AGM_88C_HARM"] , [7] = wp.a2g["GBU-38"] ,[8] = wp.a2a["AIM-9M"], [9] = wp.a2a["AIM-9M"], [10] = wp.a2g["AN_ASQ_213"],  [11] = wp.a2g["AN/AAQ-28 LITENING"],  }

--pylons.HARM.F16C50	= { [1] = wp.a2a["AIM-9M"], [2] = wp.a2a["AIM-9M"] , [3] = wp.a2g["AGM_88C_HARM"] , [4] = wp.a2g["GBU-12"] , [6] = wp.a2g["GBU-12"] , [7] = wp.a2g["AGM_88C_HARM"] ,[8] = wp.a2a["AIM-9M"], [9] = wp.a2a["AIM-9M"], [10] = wp.a2g["AN_ASQ_213"],  [11] = wp.a2g["AN/AAQ-28 LITENING"],  }
pylons.HARM.SU25T 	= {[1] = wp.a2g["R_60M_Su17"] ,[2] = wp.a2g["B_8M120S_8OFP2"] ,[3] = wp.a2g["B_8M120S_8OFP2"] , [4] = wp.a2g["Kh_25MPU"] ,[5] = wp.a2g["Kh_58U"] ,[6] = wp.a2g["L081_ELINT_Pod"] ,[7] = wp.a2g["Kh_58U"] ,[8] = wp.a2g["Kh_25MPU"],[9] = wp.a2g["B_8M120S_8OFP2"],[10] = wp.a2g["B_8M120S_8OFP2"],[11] = wp.a2g["R_60M_Su17"],  }


-- SMOKE PYLONS
wp.a2a["MB339_COLOR_TANK"] = {["CLSID"] = "{COLOR-TANK}", } --COLOR TANK MB339A
wp.a2a["SMOKE_RED_MB339"] = {["CLSID"] = "{SMOKE-RED-MB339}", } --COLOR TANK MB339A
wp.a2a["MB339_WHITE_TANK"] = {["CLSID"] = "{WHITE-TANK}", } --COLOR TANK MB339A
wp.a2a["SMOKE_WHITE_MB339"] = {["CLSID"] = "{SMOKE-WHITE-MB339}", } --COLOR TANK MB339A
pylons.SMOKE.CE2 =  {[1] = { ["CLSID"] = "{CE2_SMOKE_WHITE}", }, }
-- pylons.SMOKE.C101EB = { [1] = { ["CLSID"] = "{SMOKE-SYSTEM-AVIOJET}",},[2] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.C101EB = { [1] = { ["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.F5E3 = {[1] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}", }, [7] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}",},}
pylons.SMOKE.F14B = {[1] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}", }, [10] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}",},}
pylons.SMOKE.F15C = {[1] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}", }, [11] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}",},}
pylons.SMOKE.AV8BNA = {[1] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}", }, [8] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}",},}
pylons.SMOKE.F86FSABRE = { [1] = { ["CLSID"] = "{HVAR_SMOKE_2}",},[10] = {["CLSID"] = "{HVAR_SMOKE_2}",},}
pylons.SMOKE.FA18CHORNET = {[2] = {["CLSID"] = "<CLEAN>", }, [8] = {["CLSID"] = "<CLEAN>",},[7] = {["CLSID"] = "<CLEAN>",},[5] = {["CLSID"] = "<CLEAN>",},[3] = {["CLSID"] = "<CLEAN>",},[10] = {["CLSID"] = "{INV-SMOKE-RED}"},}
pylons.SMOKE.HAWK = { [1] = { ["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.L39C = { [2] = { ["CLSID"] = "{INV-SMOKE-RED}",},}
pylons.SMOKE.L39ZA = { [3] = { ["CLSID"] = "{INV-SMOKE-RED}",},}
pylons.SMOKE.M2000C = {[1] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}", }, [9] = {["CLSID"] = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}",},}
pylons.SMOKE.MIG19P = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [6] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.MIG21BIS = { [7] = { ["CLSID"] = "{MIG21_SMOKE_WHITE}",},}
pylons.SMOKE.P51D30NA = { [1] = { ["CLSID"] = "{HVAR_SMOKE_GENERATOR}",},[10] = {["CLSID"] = "{HVAR_SMOKE_GENERATOR}",},}
pylons.SMOKE.SU27 = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [10] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.YAK52 = { [1] = { ["CLSID"] = "{INV-SMOKE-RED}",},}
pylons.SMOKE.SU33 = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [12] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.SU25T = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [11] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.SU25 = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [10] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}
pylons.SMOKE.MIG29 = {[1] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}", }, [7] = {["CLSID"] = "{D3F65166-1AB8-490f-AF2F-2FB6E22568B1}",},}

-- pylons.SMOKE.FW190D9 =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
-- pylons.SMOKE.FW190A8 =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.SPITFIRELFMKIX =  { [2] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.I16 =  { [5] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},[4] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.MIG15BIS =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},[2] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.A10A =  { [6] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.A10C =  { [6] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.F14A =  { [7] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.AJS37 =  { [4] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.F16C50 =  { [5] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},[2] = { ["CLSID"] = "<CLEAN>", },[3] = { ["CLSID"] = "<CLEAN>", },[4] = { ["CLSID"] = "<CLEAN>", },[6] = { ["CLSID"] = "<CLEAN>", },[7] = { ["CLSID"] = "<CLEAN>", }, [8] = { ["CLSID"] = "<CLEAN>", },}
pylons.SMOKE.JF17 =  { [4] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.C101CC =  { [4] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.MISSING =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.A10A =  { [6] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},}
pylons.SMOKE.P47D30 =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",},[2] = wp.a2a["CLEAN"], [3] = wp.a2a["CLEAN"] ,}
pylons.SMOKE.P47D40 =  { [3] = { ["CLSID"] = "{US_M10_SMOKE_TANK_RED}",},[2] = {["CLSID"] = "{US_M10_SMOKE_TANK_RED}",},}
pylons.SMOKE.MOSQUITOFBMKVI =  { [1] = { ["CLSID"] = "{US_M10_SMOKE_TANK_RED}",},[2] = {["CLSID"] = "{US_M10_SMOKE_TANK_RED}",},}
pylons.SMOKE.MIRAGEF1CE =  { [1] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",} , [7] = {["CLSID"] = "{SMOKE-RED-AVIOJET}",} ,}
pylons.SMOKE.MB339A= { [1] = wp.a2a["FUEL_TIP_TANK_500L"], [2]=wp.a2a["CLEAN"] , [3]=wp.a2a["CLEAN"] , [4] = wp.a2a["MB339_COLOR_TANK"], [5]=wp.a2a["SMOKE_RED_MB339"], [6]=wp.a2a["SMOKE_WHITE_MB339"], [7]=wp.a2a["MB339_WHITE_TANK"] , [8]=wp.a2a["CLEAN"] , [9]=wp.a2a["CLEAN"] ,[10]=wp.a2a["FUEL_TIP_TANK_500R"] }

-- NEW WEAPONS GROUP
wp.a2g["B17G"] = { ["CLSID"] = "{12xM64}",}
wp.a2g["A20G"] = { ["CLSID"] = "{4xAN-M64_on_InvCountedAttachmentPoints}",}
wp.a2g["JU88_LTF_5B"] = { ["CLSID"] = "{LTF_5B}",}
wp.a2g["Mk_82_12_MER12"] = { ["CLSID"] = "{585D626E-7F42-4073-AB70-41E728C333E2}",}
wp.a2g["Mk_82_27"] = { ["CLSID"] = "{6C47D097-83FF-4FB2-9496-EAB36DDF0B05}",}
wp.a2g["B1B_Mk_84_8"] = { ["CLSID"] = "{B-1B_Mk-84*8}",}
wp.a2g["KH_65_6"] = { ["CLSID"] = "{0290F5DE-014A-4BB1-9843-D717749B1DED}",}
wp.a2g["KH_35_6"] = { ["CLSID"] = "{C42EE4C3-355C-4B83-8B22-B39430B8F4AE}",}
wp.a2g["MER9_FAB250"] = { ["CLSID"] = "{E1AAE713-5FC3-4CAA-9FF5-3FDCFB899E33}",}
wp.a2g["FAB500_33"] = { ["CLSID"] = "{AD5E5863-08FC-4283-B92C-162E2B2BD3FF}",}
wp.a2g["SHTURM_V2"] = { ["CLSID"] = "{B919B0F4-7C25-455E-9A02-CEA51DB895E3}", } -- SHTURM FOR Mi-24P
wp.a2g["UB_32A_24"] = { ["CLSID"] = "UB-32A-24", } -- 32 UB ROCKET  FOR Mi-24P

-- NEW PYLONS
pylons.A2G.B17G =   {[1] = wp.a2g["B17G"]  }
pylons.A2G.A20G =  {[1] = wp.a2g["A20G"]  }
pylons.A2G.JU88A4 =  {[1] = wp.a2g["SC_501"] , [3] = wp.a2g["SC_501"]  }
pylons.A2G.B52H = { [1] = wp.a2g["Mk_82_12_MER12"] , [2] = wp.a2g["Mk_82_27"] ,[3] = wp.a2g["Mk_82_12_MER12"] ,}
pylons.A2G.B1B = { [1] = wp.a2g["B1B_Mk_84_8"] , [2] = wp.a2g["B1B_Mk_84_8"] ,[3] = wp.a2g["B1B_Mk_84_8"] ,}
pylons.A2G.TU95MS =  {[1] = wp.a2g["KH_65_6"]  }
pylons.A2G.TU142 =  {[1] = wp.a2g["KH_35_6"]  }
pylons.A2G.TU160 = { [1] = wp.a2g["KH_65_6"] , [2] = wp.a2g["KH_65_6"],}
pylons.A2G.TU22M3 = { [1] = wp.a2g["MER9_FAB250"] , [2] = wp.a2g["MER9_FAB250"] ,[3] = wp.a2g["FAB500_33"], [4] = wp.a2g["MER9_FAB250"] ,[5] = wp.a2g["MER9_FAB250"],}
pylons.A2G.MI24P = { [1] = wp.a2g["SHTURM_V2"] , [2] = wp.a2g["UB_32A_24"] ,[3] = wp.a2g["UB_32A_24"] , [4] = wp.a2g["UB_32A_24"] ,  [5] = wp.a2g["UB_32A_24"] , [6] = wp.a2g["SHTURM_V2"] ,}

-- pylons.A2G.AIRCRAFT = { [1] = wp.a2g["ONE"] , [2] = wp.a2g["TWO"] ,[3] = wp.a2g["THREE"] , [4] = wp.a2g["FOUR"] ,[5] = wp.a2g["FIVE"] ,[6] = wp.a2g["SIX"] ,[7] = wp.a2g["SEVEN"] ,[8] = wp.a2g["EIGHT"],[9] = wp.a2g["nine"],[10] = wp.a2g["10"],[11] = wp.a2g["11"],}
propAircraft = {}
propAircraft.MB339A={["SoloFlight"] = false,["DEFA_553_Burst"] = 0.5,["RocketRippleTiming"] = 250,["MountBlindHood"] = false,["EnableCutOff"] = false,["BombsRippleTiming"] = 300,["SAAB_RGS-2_Gunsight"] = true,["NetCrewControlPriority"] = 1,["PilotEquipment"] = 1,}


unitType = {}
unitType.navy = {}
unitType.navy.blue = {
  VINSON = "VINSON",
  PERRY = "PERRY",
  TICONDEROG = "TICONDEROG" ,
  TARAWA  = 'LHA_Tarawa',
  SAMUELCHASE = 'USS_Samuel_Chase',
  STENNIS = "Stennis" , 
  LST = 'LST_Mk2',
  KUZNECOW="KUZNECOW" ,
  MOSCOW="MOSCOW",
  CVN71 = "CVN_71" ,
}
TaskGroups = { blueassault=unitType.navy.blue.TARAWA , bluefleet=unitType.navy.blue.STENNIS, bluecruiser=unitType.navy.blue.TICONDEROG , redfleet=unitType.navy.blue.KUZNECOW , redcruiser=unitType.navy.blue.MOSCOW , supercarrier=unitType.navy.blue.CVN71 , normalcarrier=unitType.navy.blue.STENNIS, }
--TaskGroups = { blueassault=unitType.navy.blue.KUZNECOW , bluefleet=unitType.navy.blue.KUZNECOW, bluecruiser=unitType.navy.blue.KUZNECOW , redfleet=unitType.navy.blue.KUZNECOW , redcruiser=unitType.navy.blue.KUZNECOW , supercarrier=unitType.navy.blue.KUZNECOW , normalcarrier=unitType.navy.blue.KUZNECOW, }

-- if SuperCarrier == true then
	-- TaskGroups.bluefleet = TaskGroups.supercarrier
-- end
----------------
--- AIRCRAFT --- 
----------------
AircraftType = {}
-- -- WWII
AircraftType.TF51D 		={  category=MissionCombat.TRAINER.category , altimeter="feet", country="ALLIED" , pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.EMPTY,  menu="Training" ,  enterservice=1943 , retired=1949 , wing="fixed" , type="TF-51D", fuel=501, speed=164*KNOTS, rlivery="Hellenic Airforce Trainer" , blivery="TF-51 Gunfighter"  ,medium="Airborne" , }
AircraftType.P51D30NA	={category=MissionCombat.FIGHTER.category , altimeter="feet", smoke=pylons.SMOKE.P51D30NA, pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.P51D30NA, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="P-51D-30-NA", typename="P-51D",  fuel=732, speed=150*KNOTS,  rlivery="Germany Training Staffel" , blivery="Canada RAF 442 Sqdn"  ,medium="Airborne" ,}
AircraftType.P51D	={ category=MissionCombat.FIGHTER.category , altimeter="feet", smoke=pylons.SMOKE.P51D30NA, pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.P51D30NA, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="P-51D", typename="P-51D",  fuel=732, speed=150*KNOTS,  rlivery="Germany Training Staffel" , blivery="Canada RAF 442 Sqdn"  ,medium="Airborne" ,}
AircraftType.FW190D9	={ category=MissionCombat.FIGHTER.category ,altimeter="meters", smoke=pylons.SMOKE.FW190D9, pylons=pylons.A2A.WWIIEMPTY , gpylons=pylons.A2G.FW190D9, country="AXIS" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="FW-190D9", typename="Fw-190 D9" , fuel=388, speed=150*KNOTS ,  rlivery="FW-190D9_13.JG 51_Heinz Marquardt" , blivery="FW-190D9_GB" ,medium="Airborne" ,}
AircraftType.FW190A8	={  category=MissionCombat.FIGHTER.category ,altimeter="meters", smoke=pylons.SMOKE.FW190A8, pylons=pylons.A2A.WWIIEMPTY , gpylons=pylons.A2G.FW190A8, country="AXIS" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="FW-190A8", typename="Fw-190 A8" , fuel=388, speed=150*KNOTS ,  rlivery="FW-190A8" , blivery="FW-190A8_RAF"  ,medium="Airborne" ,}
AircraftType.SPITFIRELFMKIX ={  category=MissionCombat.FIGHTER.category , altimeter="feet", smoke=pylons.SMOKE.SPITFIRELFMKIX,  pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.SPITFIRELFMKIX, country="ALLIED" ,  menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="SpitfireLFMkIX", typename="Spitfire MkIX" ,  fuel=247, speed=144*KNOTS, rlivery="USSR_3rd_AE_57th_GvIAP" , blivery="RAF, No. 16 Squadron" ,medium="Airborne" ,}
AircraftType.SPITFIRELFMKIXCW ={  category=MissionCombat.FIGHTER.category , altimeter="feet", smoke=pylons.SMOKE.SPITFIRELFMKIX,  pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.SPITFIRELFMKIX, country="ALLIED" ,  menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="SpitfireLFMkIXCW", typename="Spitfire MkIX" ,  fuel=247, speed=144*KNOTS, rlivery="USSR_3rd_AE_57th_GvIAP" , blivery="RAF, No. 16 Squadron"  ,medium="Airborne" ,}
AircraftType.BF109K4	={  category=MissionCombat.FIGHTER.category ,altimeter="meters", pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.BF109K4, country="AXIS" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="Bf-109K-4", typename="Bf-109 K4" , fuel=296, speed=154*KNOTS, rlivery="Bf-109 K4 White 6, JG 4" , blivery="Bf-109 K4 RAF VD 358 E-2" ,medium="Airborne" ,}
AircraftType.I16	={   category=MissionCombat.FIGHTER.category , altimeter="meters",smoke=pylons.SMOKE.I16, pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.I16, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="I-16", fuel=191, speed=114*KNOTS, rlivery="Red Army Winter" , blivery="Clear" ,medium="Airborne" ,}
AircraftType.P47D30	={  category=MissionCombat.FIGHTER.category , altimeter="feet",smoke=pylons.SMOKE.P47D30, pylons=pylons.A2A.P47D , gpylons=pylons.A2G.P47D30, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="P-47D-30", fuel=830, speed=138*KNOTS, rlivery="Lend-Lease" , blivery="Lt_Col_Gabreski_1944"  ,medium="Airborne" ,}
AircraftType.P47D40	={   category=MissionCombat.FIGHTER.category , altimeter="feet",smoke=pylons.SMOKE.P47D40, pylons=pylons.A2A.P47D , gpylons=pylons.A2G.P47D40, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="P-47D-40", fuel=830, speed=138*KNOTS, rlivery="Lend-Lease" , blivery="lt_col_gabreski_1944"  ,medium="Airborne" ,}
AircraftType.MOSQUITOFBMKVI ={  category=MissionCombat.FIGHTER.category , altimeter="feet" ,smoke=pylons.SMOKE.MOSQUITOFBMKVI, pylons=pylons.A2A.WWIIEMPTY , gpylons=pylons.A2G.MOSQUITOFBMKVI, country="ALLIED" , menu="WWII" , enterservice=1943 , retired=1949 , wing="fixed" , type="MosquitoFBMkVI", fuel=1483, speed=164*KNOTS, rlivery="USAF Standard" , blivery="RAF"  ,medium="Airborne" ,}

-- -- -- 50'S ERA
AircraftType.F86FSABRE	={   category=MissionCombat.FIGHTER.category, altimeter="feet", smoke=pylons.SMOKE.F86FSABRE,  pylons=pylons.A2A.F86FSABRE , gpylons=pylons.A2G.F86FSABRE, menu="USA" , country="NATO" ,enterservice=1950 , retired=1957, wing="fixed" , type="F-86F Sabre" , fuel=1282, speed=245*KNOTS, rlivery="Japan Air Force" , blivery="Canada Air Force" ,flivery="US Air Force (Skyblazers)" ,medium="Airborne" ,}
AircraftType.MIG15BIS 	={  category=MissionCombat.FIGHTER.category, altimeter="meters" ,smoke=pylons.SMOKE.I16 , pylons=pylons.A2A.MIG15BIS , gpylons=pylons.A2G.MIG15BIS, menu="Russian", country="RUSSIA" , enterservice=1950 , retired=1957, wing="fixed" , type="MiG-15bis" , typename="MiG-15"  ,fuel=1172, speed=245*KNOTS, rlivery="North_Korea_Air Force_Major_ Arkady_ Boitsow" , blivery="HAF Fictional" ,medium="Airborne" ,}

-- -- 60's ERA
AircraftType.MIG19P		={  category=MissionCombat.FIGHTER.category, altimeter="meters", smoke=pylons.SMOKE.MIG19P, pylons=pylons.A2A.MIG19P, gpylons=pylons.A2G.MIG19P,  menu="Russian" , country="RUSSIA" , enterservice=1958 , retired=1969, wing="fixed" , type="MiG-19P" ,fuel=2280, speed=273*KNOTS, rlivery="USSR_2" , blivery="Snow - Fictional"  ,medium="Airborne" ,}
AircraftType.MIG21BIS 	={  category=MissionCombat.FIGHTER.category,altimeter="meters", smoke=pylons.SMOKE.MIG21BIS, pylons=pylons.A2A.MIG21BIS , gpylons=pylons.A2G.MIG21BIS, menu="Russian" , country="RUSSIA" , enterservice=1960 , retired=1973, wing="fixed" , type="MiG-21Bis" ,typename="MiG-21" , fuel=2280, speed=360*KNOTS, rlivery="Serbia - 101 FS" , blivery="Poland - Metal" , flivery="VVS Demonstrator", medium="Airborne" ,}

-- -- 70's era
AircraftType.A10A 	={  category=MissionCombat.FIGHTER.category, altimeter="feet", smoke=pylons.SMOKE.A10A, pylons=pylons.A2A.A10A , gpylons=pylons.A2G.A10A, menu="USA" , country="NATO" ,enterservice=1977 , retired=2005, wing="fixed" , type="A-10A" ,fuel=5029, speed=175*KNOTS, rlivery="Fictional Russian Air Force 1" , blivery="Canada RCAF 442 Snow Scheme" ,tanker="KC135" ,medium="Airborne" ,}
AircraftType.F14A135GR 	={   catapult=TaskGroups.bluefleet, altimeter="feet", category=MissionCombat.FIGHTER.category, smoke=pylons.SMOKE.F14A, pylons=pylons.A2A.F14A ,gpylons=pylons.A2G.F14A,   menu="USA" , country="NATO" ,enterservice=1974 , retired=2000, wing="fixed" , type="F-14A-135-GR" , typename="F-14A" , fuel=7348, speed=400*KNOTS, rlivery="black demo scheme" , blivery="vf-84 `jolly rogers`" ,tanker="KC130" ,medium="Airborne" ,}
AircraftType.AJS37  	={   category=MissionCombat.FIGHTER.category,  altimeter="meters",smoke=pylons.SMOKE.AJS37, pylons=pylons.A2A.AJS37 , gpylons=pylons.A2G.AJS37, menu="NATO" , country="NATO" , enterservice=1971 , retired=2005, wing="fixed" , type="AJS37" , typename="AJS-37" , fuel=4476, speed=407*KNOTS, rlivery="BareMetal" , blivery="F7 Skaraborg" ,tanker="KC130" ,medium="Airborne" ,}
AircraftType.F5E3		={  category=MissionCombat.FIGHTER.category, altimeter="feet",  smoke=pylons.SMOKE.F5E3, pylons=pylons.A2A.F5E3,gpylons=pylons.A2G.F5E3,  menu="USA" , country="NATO" , enterservice=1973 , retired=2010, wing="fixed" , type="F-5E-3" ,typename="F-5E" , fuel=1996, speed=360*KNOTS, rlivery="aggressor `snake` scheme" , blivery="USAF 'Southeast Asia'" ,medium="Airborne" ,} 
AircraftType.MIRAGEF1CE  ={ traffic=true , category=MissionCombat.FIGHTER.category, altimeter="feet", smoke=pylons.SMOKE.MIRAGEF1CE, pylons=pylons.A2A.MIRAGEF1CE, gpylons=pylons.A2G.MIRAGEF1CE, menu="NATO" ,country="NATO" , enterservice=1973 , retired=2014, wing="fixed" , type="Mirage-F1CE" ,fuel=3356, speed=386*KNOTS, rlivery="USA AGGRESSOR Colour (CE)" , blivery="USA AGGRESSOR Grey (CE)" , tanker="KC-130" ,medium="Airborne" ,}
AircraftType.MB339A  	={ traffic=true , category=MissionCombat.FIGHTER.category, altimeter="feet", smoke=pylons.SMOKE.MB339A, pylons=pylons.A2A.MB339A, gpylons=pylons.A2G.MB339A, menu="NATO" ,country="NATO" , enterservice=1979 , retired=2025, wing="fixed" , type="MB-339A" ,fuel=626, speed=249*KNOTS, rlivery="mb339aa 'armada' - yellow band" , blivery="mb339a italian camo - early" , tanker="KC-130" ,medium="Airborne" , AddPropAircraft=propAircraft.MB339A}

-- -- 80's era
AircraftType.AV8BNA		={  category=MissionCombat.FIGHTER.category, altimeter="feet", catapult=TaskGroups.blueassault, smoke=pylons.SMOKE.AV8BNA, pylons=pylons.A2A.AV8BNA, gpylons=pylons.A2G.AV8BNA, menu="USA" , country="NATO" , enterservice=1981 , retired=2025 , wing="fixed" , type="AV8BNA" , typename="AV-8B" , fuel=3519*.72, speed=251*KNOTS,rlivery="VMA-231-2" , blivery="VMA-214D" , tanker="KC130" , medium="Airborne" ,} 
AircraftType.F15C  	={  category=MissionCombat.FIGHTER.category, altimeter="feet", smoke=pylons.SMOKE.F15C, pylons=pylons.A2A.F15C, gpylons=pylons.A2G.F15C, menu="USA" ,country="NATO" , enterservice=1981 , retired=2007, wing="fixed" , type="F-15C" ,fuel=6103, speed=403*KNOTS, rlivery="65th Aggressor SQN (WA) Flanker" , blivery="12th Fighter SQN (AK)" , tanker="KC135" ,medium="Airborne" ,}
AircraftType.SU27  	={ category=MissionCombat.FIGHTER.category, altimeter="meters", smoke=pylons.SMOKE.SU27, pylons=pylons.A2A.SU27, gpylons=pylons.A2G.SU27, menu="Russian" , country="RUSSIA" , enterservice=1985 , retired=2025, wing="fixed" , type="Su-27" ,fuel=9400, speed=402*KNOTS, rlivery="Hotilovo AFB" , blivery="PLANAF HH8S" ,flivery="Kubinka AFB (Russian Knights)" , medium="Airborne" ,}
AircraftType.MIG29A  ={  category=MissionCombat.FIGHTER.category, altimeter="meters", smoke=pylons.SMOKE.MIG29, pylons=pylons.A2A.MIG29A, gpylons=pylons.A2G.MIG29, menu="Russian" , country="RUSSIA" , enterservice=1982 , retired=2005, wing="fixed" , type="MiG-29A" ,fuel=3380, speed=416*KNOTS, rlivery="Air Force Standard" , blivery="Mary-1 Agressors", flivery="Strizhi"  ,tanker="IL78M" ,medium="Airborne" ,}
AircraftType.SU25  	={ category=MissionCombat.FIGHTER.category,altimeter="meters", smoke=pylons.SMOKE.SU25 , pylons=pylons.A2A.SU25, gpylons=pylons.A2G.SU25,  menu="Russian" , country="RUSSIA" , enterservice=1981 , retired=2025, wing="fixed" , type="Su-25" ,fuel=2835, speed=262*KNOTS, rlivery="Algerian AF Desert Fictional" , blivery="petal camo scheme #1 (native). 299th brigade" ,medium="Airborne" ,}
AircraftType.F14B 	={  category=MissionCombat.FIGHTER.category,altimeter="feet", catapult=TaskGroups.bluefleet,smoke=pylons.SMOKE.F14B, pylons=pylons.A2A.F14B, gpylons=pylons.A2G.F14B, menu="USA" ,country="NATO" , enterservice=1987 , retired=2006, wing="fixed" , type="F-14B" ,fuel=7348, speed=362*KNOTS, rlivery="VF-74 Adversary" , blivery="VF-103 Jolly Rogers Hi Viz" ,tanker="KC130" ,medium="Airborne" ,}
AircraftType.FA18CHORNET 	={   category=MissionCombat.FIGHTER.category, altimeter="feet", catapult=TaskGroups.bluefleet,smoke=pylons.SMOKE.FA18CHORNET, pylons=pylons.A2A.FA18C, gpylons=pylons.A2G.FA18C, menu="USA" ,country="NATO" , enterservice=1987 , retired=2025, wing="fixed" , type="FA-18C_hornet" ,typename="F/A-18C" , fuel=4900, speed=341*KNOTS, rlivery="Fictional Russia Air Force" , blivery="NSAWC blue", flivery="Blue Angels Jet Team" ,tanker="KC130" ,medium="Airborne" ,}
AircraftType.M2000C	 	={  category=MissionCombat.FIGHTER.category,  altimeter="feet", smoke=pylons.SMOKE.M2000C, pylons=pylons.A2A.M2000C , gpylons=pylons.A2G.M2000C,  menu="NATO" ,country="NATO" , enterservice=1983 , retired=2025, wing="fixed" , type="M-2000C" ,fuel=3165, speed=400*KNOTS, rlivery="UAE Air Force" , blivery="Peru052" ,tanker="KC130" ,medium="Airborne" ,}
AircraftType.F16C50		={  category=MissionCombat.FIGHTER.category, altimeter="feet",smoke=pylons.SMOKE.F16C50, pylons=pylons.A2A.F16C50,gpylons=pylons.A2G.F16C50, harmpylons=pylons.HARM.F16C50,  menu="USA" , country="NATO" , enterservice=1984 , retired=2025, wing="fixed" , type="F-16C_50" ,typename="F-16C" , fuel=3249, speed=588*KNOTS, rlivery="default" , blivery="default" , tanker="KC135" ,medium="Airborne" ,} 

-- -- 90's and later era
AircraftType.SU33  	={  category=MissionCombat.FIGHTER.category, altimeter="meters", catapult=TaskGroups.redfleet, smoke=pylons.SMOKE.SU33, pylons=pylons.A2A.SU33 , gpylons=pylons.A2G.SU33, menu="Russian" , country="RUSSIA" , enterservice=1995 , retired=2025, wing="fixed" , type="Su-33" , fuel=9500, speed=401*KNOTS, rlivery="279th kiap 1st squad Syria 2017" , blivery="HAF - Aegean Ghost" ,tanker="IL78M",medium="Airborne" , }
AircraftType.MIG29S  	={  category=MissionCombat.FIGHTER.category,altimeter="meters", smoke=pylons.SMOKE.MIG29 , pylons=pylons.A2A.MIG29S, gpylons=pylons.A2G.MIG29, menu="Russian" , country="RUSSIA" , enterservice=1995 , retired=2025, wing="fixed" , type="MiG-29S" , fuel=3500, speed=416*KNOTS, rlivery="773 IAP_Damgarten" , blivery="Air Force Ukraine Standard" , flivery="Strizhi"  ,medium="Airborne" ,}
AircraftType.SU25T  	={  category=MissionCombat.FIGHTER.category, altimeter="meters", smoke=pylons.SMOKE.SU25T, pylons=pylons.A2A.SU25T, gpylons=pylons.A2G.SU25T , harmpylons=pylons.HARM.SU25T, menu="Russian" , country="RUSSIA" , enterservice=1991 , retired=2025, wing="fixed" , type="Su-25T" , fuel=9500, speed=262*KNOTS, rlivery="su-25t test scheme" , blivery="HAF - Fictional" , medium="Airborne" , }
AircraftType.A10C 	={   category=MissionCombat.FIGHTER.category, altimeter="feet",  smoke=pylons.SMOKE.A10C, pylons=pylons.A2A.A10C ,gpylons=pylons.A2G.A10C, menu="USA" ,country="NATO" , enterservice=2005 , retired=2025, wing="fixed" , type="A-10C" ,fuel=5029, speed=162*KNOTS, rlivery="Fictional Russian Air Force 1" , blivery="Canada RCAF 442 Snow Scheme" ,tanker="KC135" ,medium="Airborne" ,}
AircraftType.JF17 	={  category=MissionCombat.FIGHTER.category, altimeter="feet",smoke=pylons.SMOKE.JF17,  pylons=pylons.A2A.JF17 ,gpylons=pylons.A2G.JF17, menu="NATO" ,country="NATO" , enterservice=2007 , retired=2025, wing="fixed" , type="JF-17" ,fuel=2325, speed=341*KNOTS, rlivery="PLAAF 125th AB (Fictional)" , blivery="'Splinter' Camo for Blue Side (Fictional)" ,tanker="KC135MPRS" ,medium="Airborne" ,}
AircraftType.A10C2 	={   category=MissionCombat.FIGHTER.category, altimeter="feet",  smoke=pylons.SMOKE.A10C, pylons=pylons.A2A.A10C ,gpylons=pylons.A2G.A10CII, menu="USA Post 1980" ,country="NATO" , enterservice=2005 , retired=2025, wing="fixed" , type="A-10C_2" , typename="A-10C II" , fuel=5029, speed=162*KNOTS, rlivery="25th FS Osan AB, Korea (OS)" , blivery="74th FS Moody AFB, Georgia (FT)" ,tanker="KC135" ,medium="Airborne" , ammo_type=1, AddPropAircraft={["DefaultGunMode"] = 0,}}

-- -- TRAINERS
AircraftType.C101CC		={  category=MissionCombat.TRAINER.category, altimeter="feet",  smoke=pylons.SMOKE.C101CC, pylons=pylons.A2A.C101CC, gpylons=pylons.A2G.C101CC, menu="Training" , country="NATO" ,enterservice=1980 , retired=2010, wing="fixed" , type="C-101CC", fuel=2337, speed=166*KNOTS, rlivery="Russia Combat Fictional" , blivery="USAF Agressor Fictional"  ,medium="Airborne" ,tanker="KC130",}
AircraftType.C101EB		={  category=MissionCombat.TRAINER.category, altimeter="feet", menu="Training" , smoke=pylons.SMOKE.C101EB, pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.EMPTY, country="NATO" ,enterservice=1980 , retired=2010, wing="fixed" , type="C-101EB", fuel=1885, speed=166*KNOTS, rlivery="Russia Trainer Fictional" , blivery="USAF Trainer Fictional" ,medium="Airborne" ,tanker="KC130" , }
AircraftType.L39C 		={   category=MissionCombat.TRAINER.category, altimeter="feet", smoke=pylons.SMOKE.L39C, pylons=pylons.A2A.L39C ,gpylons=pylons.A2G.L39C, menu="Training" , country="RUSSIA" , enterservice=1977 , retired=2025 , wing="fixed" , type="L-39C", fuel=980, speed=192*KNOTS,rlivery="DDR Luftwaffe Early" , blivery="Czechoslovakia Air Force" , flivery="Russ Jet Team" ,medium="Airborne" ,tanker="KC130" ,} 
AircraftType.L39ZA 		={  category=MissionCombat.TRAINER.category , altimeter="feet", smoke=pylons.SMOKE.L39ZA, pylons=pylons.A2A.L39ZA, gpylons=pylons.A2G.L39ZA, menu="Training" , country="RUSSIA" , enterservice=1977 , retired=2025 , wing="fixed" , type="L-39ZA", fuel=980, speed=192*KNOTS, rlivery="Russian Air Force" , blivery="Splinter camo woodland" ,medium="Airborne" ,tanker="KC130" ,}
AircraftType.YAK52		={ category=MissionCombat.TRAINER.category , altimeter="meters", menu="Training" , smoke=pylons.SMOKE.YAK52, pylons=pylons.A2A.EMPTY , gpylons=pylons.A2G.EMPTY, country="RUSSIA" , enterservice=1979 , retired=2025 , wing="fixed" , type="Yak-52", fuel=87, speed=79*KNOTS, rlivery="The Yakovlevs" , blivery="DOSAAF_USSR" , flivery="The First Flight", medium="Airborne" ,tanker="KC130", }
AircraftType.HAWK		={   category=MissionCombat.TRAINER.category, altimeter="feet", smoke=pylons.SMOKE.HAWK, pylons=pylons.A2A.HAWK, gpylons=pylons.A2G.HAWK, menu="Training" , country="NATO" ,enterservice=1976 , retired=2025, wing="fixed" , type="Hawk", fuel=1272, speed=266*KNOTS, rlivery="USAF Aggressor 269" , blivery="NAS Meridian, Mississippi Seven (VT-7)" , flivery="XX201 - 2010 RAF Hawk Display"  , medium="Airborne",tanker="KC130" ,}

-- -- ROTARY
AircraftType.UH1H		={  category=MissionCombat.ROTARY.category, altimeter="feet", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.UH1H, menu="Rotary" , country="NATO" , enterservice=1959 , retired=2010, wing="rotary" , type="UH-1H" , fuel= 631, speed=55*KNOTS, rlivery="USA Red Flag" , blivery="US NAVY"  , medium="Airborne" ,}
AircraftType.SA342L 	={ category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.SA342L, menu="Rotary" , country="NATO" , enterservice=1973 , retired=2025, wing="rotary" , type="SA342L" , fuel= 416, speed=66*KNOTS, rlivery="Russia Fictional" , blivery="US Marines Fictional"  , medium="Airborne" ,}
AircraftType.SA342M 	={ category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.SA342M, menu="Rotary" , country="NATO" , enterservice=1973 , retired=2025, wing="rotary" , type="SA342M" , fuel= 416, speed=60*KNOTS, rlivery="Russia Fictional" , blivery="US Marines Fictional" , medium="Airborne" ,}
AircraftType.SA342MISTRAL ={  category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.SA342MISTRAL, menu="Rotary" , country="NATO" , enterservice=1973 , retired=2025, wing="rotary" , type="SA342Mistral" , fuel= 416, speed=60*KNOTS, rlivery="Russia Fictional" , blivery="US Marines Fictional"  , medium="Airborne" , }
AircraftType.SA342MINIGUN  ={ category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.SA342MINIGUN, menu="Rotary" , country="NATO" , enterservice=1973 , retired=2025, wing="rotary" , type="SA342Minigun" , fuel= 416, speed=60*KNOTS, rlivery="Russia Fictional" , blivery="US Marines Fictional"  , medium="Airborne" ,}
AircraftType.MI8MT  	={  category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.blueassault, pylons=pylons.A2A.EMPTY, gpylons=pylons.A2G.MI8MT, menu="Rotary" , country="RUSSIA" , enterservice=1967 , retired=2025, wing="rotary" , type="Mi-8MT" , fuel= 1929, speed=78*KNOTS, rlivery="Russia_VVS_Grey" , blivery="USA_AFG" , medium="Airborne" , }
AircraftType.KA50  	={  category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.redcruiser, pylons=pylons.A2G.KA50, gpylons=pylons.A2G.KA50, menu="Rotary" , country="RUSSIA" , enterservice=1995 , retired=2025, wing="rotary" , type="Ka-50" , fuel= 1450, speed=82*KNOTS, rlivery="Russia Standard Army" , blivery="us marines 1"  , medium="Airborne" ,}
AircraftType.MI24P  	={  category=MissionCombat.ROTARY.category, altimeter="meters", catapult=TaskGroups.redcruiser, pylons=pylons.A2G.MI24P, gpylons=pylons.A2G.MI24P, menu="Rotary" , country="RUSSIA" , enterservice=1973 , retired=2025, wing="rotary" , type="Mi-24P" , fuel= 1704, speed=82*KNOTS, rlivery="default" , blivery="AF Standard3 Old" , medium="Airborne" , }
AircraftType.AH64DBLKII 	={ category=MissionCombat.ROTARY.category, altimeter="feet", typename="AH-64D", catapult=TaskGroups.blueassault, pylons=pylons.A2G.AH64DBLKII, gpylons=pylons.A2G.AH64DBLKII, menu="Rotary" , country="NATO" , enterservice=1986 , retired=2025, wing="rotary" , type="AH-64D_BLK_II" , fuel= 1157, speed=74*KNOTS, rlivery="1st Attack Helicopter Battalion Greece" , blivery="Gunslingers 2-159th ARB" , medium="Airborne" ,}

-- -- CIVILIAN --
AircraftType.CHRISTENEAGLEII={ datedlivery = true, category=MissionCombat.TRAINER.category , altimeter="feet", smoke=pylons.SMOKE.CE2,  menu="Training" ,  pylons=pylons.A2A.CE2 , gpylons=pylons.A2A.CE2, country="NATO" , enterservice=1995 , retired=2025 , wing="fixed" , type="Christen Eagle II", fuel=71, speed=74*KNOTS, rlivery="WW1 Red Baron" , blivery="WW1 SE5a" , medium="Airborne" ,}


-- ----------------
-- --- TARGETS ---  
-- ----------------
Targets = {}
-- TARGETS AA
Targets.URAL375ZU23 	= { category=MissionCombat.ANTIAIR.category, type = "Ural-375 ZU-23" , enterservice=1959 , retired=2025, speed=20*KNOTS,  country="RUSSIA", medium="Ground" , range="short", }
Targets.ZU23EMPLACEMENT 	= { category=MissionCombat.ANTIAIR.category, type = "ZU-23 Emplacement" , enterservice=1960 , retired=2025, speed=0,  country="RUSSIA", medium="Ground" , range="short",}
Targets.VULCAN 			= { category=MissionCombat.ANTIAIR.category, type="Vulcan", enterservice=1960 , retired=1990, speed=16*KNOTS, country="NATO", medium="Ground" ,range="short",}
Targets.M48CHAPARRAL	= { category=MissionCombat.ANTIAIR.category, type="M48 Chaparral", enterservice=1969 , retired=1998, speed=16*KNOTS, country="NATO", medium="Ground" , range="SAM", }
Targets.STRELA10M3		= { category=MissionCombat.ANTIAIR.category, type="Strela-10M3" ,  enterservice=1969 , retired=2025, speed=16*KNOTS,  country="RUSSIA" , medium="Ground" , range="SAM",  }


Targets.STRELA19P31 	= { category=MissionCombat.ANTIAIR.category, type="Strela-1 9P31" , typename="Strela-1 9P31 SAM" ,  enterservice=1968 , retired=2025, speed=27*KNOTS,  country="RUSSIA", medium="Ground" , range="SAM",  }
Targets["2S6TUNGUSKA"]		= { category=MissionCombat.ANTIAIR.category, type="2S6 Tunguska" , enterservice=1982 , count=8 , retired=2025, speed=18*KNOTS,  country="RUSSIA" , medium="Ground" ,radarguided=true, range="SAM",  }
Targets.GEPARD  	= { category=MissionCombat.ANTIAIR.category, type="Gepard" , enterservice=1976 , retired=2025, speed=27*KNOTS,  country="NATO", medium="Ground" , range="short",}
Targets.M1097AVENGER = { category=MissionCombat.ANTIAIR.category, type="M1097 Avenger" , enterservice=1989 , retired=2025, speed=31*KNOTS,  country="NATO", medium="Ground" , range="SAM",  }
Targets.M6LINEBACKER = { category=MissionCombat.ANTIAIR.category, type="M6 Linebacker" , enterservice=1997 , retired=2025, speed=18*KNOTS,  country="NATO" , medium="Ground" ,  range="SAM", }
Targets.ZSU572	 	= { category=MissionCombat.ANTIAIR.category, type = "ZSU_57_2" , typename="ZSU-57 SPAAG" , enterservice=1955 , retired=2025, speed=14*KNOTS,  country="RUSSIA", medium="Ground" ,  }
Targets.S60TYPE59ARTILLERY	 	= { category=MissionCombat.ANTIAIR.category, type = "S-60_Type59_Artillery" , typename="S-60 AA" , enterservice=1960 , retired=2025, speed=0,  country="RUSSIA", medium="Ground" ,  }

-- TARGETS NATO SAMS
Targets.PATRIOTLN 		={ category=MissionCombat.ANTIAIR.category, type="Patriot ln" , typename="Patriot SAM" , count=4, enterservice=1984 , retired=2025, speed=0,  country="NATO" , radarguided=true, radar={"Patriot AMG","Patriot ECS","Patriot EPP","Patriot cp" , "Patriot str"}, medium="Ground" ,}
Targets.ROLANDADS	= { category=MissionCombat.ANTIAIR.category, type="Roland ADS" , typename="Roland ADS SAM" , count=10, enterservice=1977 , retired=2025, speed=20*KNOTS,  country="NATO" , radarguided=true, radar={"Roland Radar",}, medium="Ground" ,}
Targets.RAPIERFSALAUNCHER = { category=MissionCombat.ANTIAIR.category, type="rapier_fsa_launcher" , typename="Rapier SAM" , count=4, enterservice=1977 , retired=2025, speed=0,  country="NATO" , radarguided=true, radar={"rapier_fsa_blindfire_radar","rapier_fsa_optical_tracker_unit",}, medium="Ground" ,}
Targets.HAWKLN			= { category=MissionCombat.ANTIAIR.category, type="Hawk ln" , typename="MIM-23 Hawk SAM" , count=3, enterservice=1960 , retired=2025, speed=0,  country="NATO" , radar={"Hawk tr","Hawk cwar","Hawk pcp","Hawk sr"}, medium="Ground" , radarguided=true,}
-- TARGETS RUSSIAN SAMS
Targets.OSA9A33LN  		= { category=MissionCombat.ANTIAIR.category, type="Osa 9A33 ln" , typename="Osa 9A33 SAM" , count=6, enterservice=1971 , retired=2025, speed=22*KNOTS,  country="RUSSIA", medium="Ground" , radarguided=true,  }
Targets["5P73S125LN"]	= { category=MissionCombat.ANTIAIR.category, type="5p73 s-125 ln" , typename="S-125 SAM" , count=4, enterservice=1960 , retired=2025, speed=0,  country="RUSSIA" , radar={"snr s-125 tr" , "p-19 s-125 sr" }, medium="Ground" , radarguided=true ,}
Targets.S75MVOLHOV		= { category=MissionCombat.ANTIAIR.category, type="S_75M_Volhov" , typename="S-75 Dvina SAM" , count=1, enterservice=1958 , retired=2025, speed=0,  country="RUSSIA" , radar={"SNR_75V" , "p-19 s-125 sr" }, medium="Ground" ,radarguided=true,}
Targets.TOR9A331		= { category=MissionCombat.ANTIAIR.category, type="Tor 9A331" , typename="Tor SAM" , count=8, enterservice=1986 , retired=2025, speed=18*KNOTS,  country="RUSSIA" , medium="Ground" , radarguided=true, }
Targets.ZSU234SHILKA	= { category=MissionCombat.ANTIAIR.category, type="ZSU-23-4 Shilka" , count=500,  enterservice=1964 , retired=2025, speed=30*KNOTS,  country="RUSSIA" , radar={"Dog Ear radar"}, medium="Ground" ,radarguided=true,}
Targets.KUB2P25LN  		= { category=MissionCombat.ANTIAIR.category, type="Kub 2P25 ln" , typename="Kub 2K12 SAM" , count=3 ,  enterservice=1970 , retired=2025, speed=12*KNOTS,  country="RUSSIA" , radarguided=true, radar={"Kub 1S91 str"} , medium="Ground" ,}
Targets.SA11BUKLN9A310M1	= { category=MissionCombat.ANTIAIR.category, type="SA-11 Buk LN 9A310M1" , count=4,  enterservice=1979 , typename="SA-11 Buk SAM" , retired=2025, speed=0,  country="RUSSIA" , radarguided=true, radar={"SA-11 Buk CC 9S470M1","SA-11 Buk SR 9S18M1",}, medium="Ground" ,}
Targets.S300PS5P85CLN 	= { category=MissionCombat.ANTIAIR.category, type="S-300PS 5P85C ln" , typename="SA-10 Grumble SAM" , count=4,  enterservice=1978 , retired=2025, speed=0,  country="RUSSIA" , radarguided=true, radar={"S-300PS 40B6M tr","S-300PS 40B6MD sr", "S-300PS 54K6 cp", "S-300PS 64H6E sr",}, medium="Ground" ,}

-- TARGETS AA wwii ASSET PACK
Targets.BOFORS40		= { category=MissionCombat.ANTIAIR.category, type="bofors40", typename="Bofors" ,  enterservice=1943 , retired=1959, speed=0, country="ALLIED", medium="Ground"  }
Targets.FLAK18			= { category=MissionCombat.ANTIAIR.category, type="flak18", typename="Flak Type 18" ,  enterservice=1936 , retired=1959, speed=0, country="AXIS" , medium="Ground" ,}
Targets.FLAK30			= { category=MissionCombat.ANTIAIR.category, type="flak30", typename="Flak Type 30" , asset="WWII" ,  enterservice=1934 , retired=1949, speed=0, country="AXIS", medium="Ground" , range="short", }
Targets.FLAK36			= { category=MissionCombat.ANTIAIR.category, type="flak36", typename="Flak Type 36" , asset="WWII" ,  enterservice=1941 , retired=1949, speed=0, country="AXIS", medium="Ground" , }
Targets.FLAK37			= { category=MissionCombat.ANTIAIR.category, type="flak37", typename="Flak Type 37" , asset="WWII" ,  enterservice=1943 , retired=1949, speed=0, country="AXIS", radar={"KDO_Mod40"}, medium="Ground" , }
Targets.FLAK38			= { category=MissionCombat.ANTIAIR.category, type="flak38", typename="Flak Type 38" , asset="WWII" ,  enterservice=1939 , retired=1950, speed=0, country="AXIS" , medium="Ground" , range="short",}
Targets.FLAK41			= { category=MissionCombat.ANTIAIR.category, type="flak41", typename="Flak Type 41" , asset="WWII" ,  enterservice=1936 , retired=1949, speed=0, country="AXIS" , medium="Ground" ,}
Targets.M45QUADMOUNT	= { category=MissionCombat.ANTIAIR.category, type="M45_Quadmount", typename="M45 Quadmount" , asset="WWII" ,  enterservice=1936 , retired=1949, speed=0, country="ALLIED" , medium="Ground" , range="short",}
Targets.QF37AA			= { category=MissionCombat.ANTIAIR.category, type="QF_37_AA", typename="QF 3.7-inch AA" , asset="WWII" ,  enterservice=1936 , retired=1949, speed=0, country="ALLIED" , medium="Ground" ,}
Targets.M137MM			= { category=MissionCombat.ANTIAIR.category, type="M1_37mm", typename="37 mm gun M1" , asset="WWII" ,  enterservice=1936 , retired=1949, speed=0, country="ALLIED" , medium="Ground" ,}

-- -- TARGETS ARMORED (TANKS)
Targets.T55 			= { category=MissionCombat.ARMORED.category, type="T-55", enterservice=1955 , retired=1971 , speed=26  ,  country="RUSSIA" , convoy={ "MTLB" , "Ural-375", "Ural-375 ZU-23"} , medium="Ground" ,}
Targets.T72B 			= { category=MissionCombat.ARMORED.category, type="T-72B", enterservice=1972 , retired=1992 , speed=35 , country="RUSSIA" , convoy={ "BMD-1" , "ATZ-10", "Ural-375 ZU-23"}, medium="Ground" , }
Targets.T72B3 			= { category=MissionCombat.ARMORED.category, type="T-72B3", enterservice=1973 , retired=1992 , speed=35 , country="RUSSIA" , convoy={ "BMD-1" , "ATZ-10", "Ural-375 ZU-23"}, medium="Ground" , }
Targets.T80UD 			= { category=MissionCombat.ARMORED.category, type="T-80UD", enterservice=1980 , retired=2000 , speed=35 , country="RUSSIA" , convoy={ "Boman" , "GAZ-3307", "Ural-375 ZU-23"} , medium="Ground" ,}
Targets.T90 			= { category=MissionCombat.ARMORED.category, type="T-90", enterservice=1990 , retired=2025  , speed=35 , country="RUSSIA" , convoy={ "BMP-3" , "GAZ-3308", "2S6 Tunguska"} , medium="Ground" ,}
Targets.M60				= { category=MissionCombat.ARMORED.category, type="M-60", enterservice=1960 , retired=1983  , speed=13*KNOTS , country="NATO" , convoy={ "M-113" , "M 818", "Vulcan"}, medium="Ground" , }
Targets.M1ABRAMS 		= { category=MissionCombat.ARMORED.category, type="M-1 Abrams", enterservice=1980 , retired=2025  , speed=16*KNOTS , country="NATO" , convoy={ "M-2 Bradley" , "M978 HEMTT Tanker", "Vulcan"}, medium="Ground" , }
Targets.CHALLENGER2 		= { category=MissionCombat.ARMORED.category, type="Challenger2", typename="Challenger 2" , enterservice=1998 , retired=2025  , speed=20*KNOTS , country="NATO" , convoy={ "LAV-25" , "HEMTT TFFT", "Vulcan"}, medium="Ground" , }
Targets.LECLERC 		= { category=MissionCombat.ARMORED.category, type="Leclerc", enterservice=1993 , retired=2025  , speed=20*KNOTS , country="NATO" , convoy={ "Marder" , "Hummer", "Gepard"} , medium="Ground" ,}
Targets.LEOPARD2 		= { category=MissionCombat.ARMORED.category, type="Leopard-2", typename="Leopard 2" , enterservice=1979 , retired=2025  , speed=20*KNOTS , country="NATO" , convoy={ "AAV7" , "M 818", "Vulcan"}, medium="Ground" , }
Targets.LEOPARD1A3 		= { category=MissionCombat.ARMORED.category, type="Leopard1A3", typename="Leopard A3" , enterservice=1965 , retired=1983  , speed=18*KNOTS , country="NATO" , convoy={ "M-113" , "M 818", "Vulcan"} , medium="Ground" ,}
Targets.MERKAVAMK4 		= { category=MissionCombat.ARMORED.category, type="Merkava_Mk4", typename="Merkava Mk4" , enterservice=2004 , retired=2015  , speed=18*KNOTS , country="NATO" , convoy={ "M1126 Stryker ICV" , "Hummer", "Vulcan"} , medium="Ground" , }

-- TARGETS WWII ASSET PACK TANKS 
Targets.M4A4SHERMANFF 		= { category=MissionCombat.ARMORED.category, type="M4A4_Sherman_FF", typename="M4 Firefly" ,  asset="WWII" ,  enterservice=1939 , retired=1949  , speed=11*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "CCKW_353", "M8_Greyhound"} , medium="Ground" ,}
Targets.M4SHERMAN 		= { category=MissionCombat.ARMORED.category, type="M4_Sherman", typename="M4 Sherman", enterservice=1939 , retired=1952  , speed=11*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "CCKW_353", "Willys_MB"} , medium="Ground" ,}
Targets.CROMWELLIV 		= { category=MissionCombat.ARMORED.category, type="Cromwell_IV", typename="Cromwell" , asset="WWII" ,  enterservice=1939 , retired=1949  , speed=11*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "Bedford_MWD", "Willys_MB"} , medium="Ground" ,}
Targets.TIGERIIH 		= { category=MissionCombat.ARMORED.category, type="Tiger_II_H", typename="Tiger II" , asset="WWII" , enterservice=1944 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_234_2_Puma" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.TIGERI 			= { category=MissionCombat.ARMORED.category, type="Tiger_I", typename="Tiger I" , asset="WWII" ,  enterservice=1942 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_7" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.JAGDPANTHERG1	= { category=MissionCombat.ARMORED.category, typename="Jagdpanther G1" , type="Jagdpanther_G1", asset="WWII" , enterservice=1943 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_234_2_Puma" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.JAGDPZIV		= { category=MissionCombat.ARMORED.category, typename="Jagdpanther IV" ,  type="JagdPz_IV", asset="WWII" , enterservice=1943 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_7" , "Blitz_36-6700A", "Kubelwagen_82"}, medium="Ground" , }
Targets.PZIVH			= { category=MissionCombat.ARMORED.category, type="Pz_IV_H", typename="Panzer IV Ausf"  , enterservice=1939 , retired=1952  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_7" , "Blitz_36-6700A", "Kubelwagen_82"}, medium="Ground" , }
Targets.PZVPANTHERG 	= { category=MissionCombat.ARMORED.category, type="Pz_V_Panther_G", typename="Panzer Panther" , asset="WWII" ,  enterservice=1943 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_234_2_Puma" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.STUGIV 			= { category=MissionCombat.ARMORED.category, type="Stug_IV", typename="Stug IV" , asset="WWII" , enterservice=1943 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_7" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.M10GMC 			= { category=MissionCombat.ARMORED.category, type="M10_GMC", typename="TD M10 GMC" ,  asset="WWII" ,  enterservice=1939 , retired=1949  , speed=11*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "CCKW_353", "M8_Greyhound"} , medium="Ground" ,}
Targets.CENTAURIV 		= { category=MissionCombat.ARMORED.category, type="Centaur_IV", typename="Centaur IV" , asset="WWII" ,  enterservice=1939 , retired=1949  , speed=14*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "Bedford_MWD", "Willys_MB"} , medium="Ground" ,}
Targets.ELEFANTSDKFZ184	= { category=MissionCombat.ARMORED.category, typename="Sd.Kfz.184 Elefant" , type="Elefant_SdKfz_184", asset="WWII" , enterservice=1943 , retired=1949  , speed=6*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_234_2_Puma" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.CHURCHILLVII	= { category=MissionCombat.ARMORED.category, type="Churchill_VII", typename="Churchill VII" , asset="WWII" ,  enterservice=1939 , retired=1949  , speed=6*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "Bedford_MWD", "Willys_MB"} , medium="Ground" ,}
Targets.STUGIII 		= { category=MissionCombat.ARMORED.category, type="Stug_III", typename="Stug III" , asset="WWII" , enterservice=1943 , retired=1949  , speed=11*KNOTS , country="AXIS" , convoy={ "Sd_Kfz_7" , "Blitz_36-6700A", "Kubelwagen_82"} , medium="Ground" ,}
Targets.TETRARCH	= { category=MissionCombat.ARMORED.category, type="Tetrarch", typename="Tetrarch Mk VII" , asset="WWII" ,  enterservice=1939 , retired=1949  , speed=17*KNOTS , country="ALLIED" , convoy={ "M30_CC" , "Bedford_MWD", "Willys_MB"} , medium="Ground" ,}

-- TARGETS WWII ASSET PACK MISC 
Targets.SDKFZ7 		= { category=MissionCombat.LTARMORED.category, type="Sd_Kfz_7", typename="Sd.Kfz Halftrack" , asset="WWII" , enterservice=1943, retired=1949 , speed=13*KNOTS , country="AXIS", medium="Ground" , }
-- Targets.M12GMC 		= { category=MissionCombat.ARTILLERY.category, type="M12_GMC", typename="M12 Motorized Gun" , asset="WWII" , enterservice=1943, retired=1949 , speed=11*KNOTS , country="ALLIED", medium="Ground" , }
-- Targets.STURMPZIV 		= { category=MissionCombat.ARTILLERY.category, type="SturmPzIV", typename="Brummbär Assult Gun" , asset="WWII" , enterservice=1943, retired=1949 , speed=10*KNOTS , country="AXIS" , medium="Ground" ,}
Targets.M30CC 		= { category=MissionCombat.LTARMORED.category, type="M30_CC", typename="M30 Cargo Carrier" , asset="WWII" , enterservice=1943, retired=1949 , speed=11*KNOTS , country="ALLIED", medium="Ground" , }
Targets.SDKFZ2 		= { category=MissionCombat.UNARMED.category, type="Sd_Kfz_2", typename="Kettenkrad" , asset="WWII" , enterservice=1943, retired=1949 , speed=17*KNOTS , country="AXIS", medium="Ground" , }
Targets.BEDFORDMWD 		= { category=MissionCombat.UNARMED.category, type="Bedford_MWD", typename="Bedford Truck" , enterservice=1943, retired=1952 , speed=13*KNOTS , country="ALLIED" , medium="Ground" ,}
Targets.CCKW353 	= { category=MissionCombat.UNARMED.category, type="CCKW_353", typename="Jimmy Truck" , asset="WWII" , enterservice=1941 , retired=1949  , speed=20*KNOTS  , country="ALLIED" , medium="Ground" ,}
Targets.BLITZ366700A = { category=MissionCombat.UNARMED.category, type="Blitz_36-6700A", typename="Blitz Truck" , enterservice=1941 , retired=1952  , speed=25*KNOTS  , country="AXIS", medium="Ground" , }
Targets.HORCH901TYP40KFZ21 = { category=MissionCombat.UNARMED.category, type="Horch_901_typ_40_kfz_21", typename="Horch 901" , asset="WWII" , enterservice=1941 , retired=1949  , speed=25*KNOTS  , country="AXIS", medium="Ground" , }
Targets.KUBELWAGEN82 = { category=MissionCombat.UNARMED.category, type="Kubelwagen_82", typename="Kubelwagen" , asset="WWII" , enterservice=1941 , retired=1949  , speed=22*KNOTS  , country="AXIS" , medium="Ground" ,}
Targets.WILLYSMB = { category=MissionCombat.UNARMED.category, type="Willys_MB", typename="Willys Jeep" , asset="WWII" , enterservice=1941 , retired=1949  , speed=29*KNOTS  , country="ALLIED", medium="Ground" , }
Targets.M8GREYHOUND = { category=MissionCombat.LTARMORED.category, type="M8_Greyhound", typename="M8 Greyhound" , asset="WWII" , enterservice=1941 , retired=1949  , speed=24*KNOTS  , country="ALLIED", medium="Ground" , }
Targets.SDKFZ2342PUMA = { category=MissionCombat.LTARMORED.category, type="Sd_Kfz_234_2_Puma", typename="IFV Sd.Kfz Puma" , asset="WWII" , enterservice=1941 , retired=1949  , speed=25*KNOTS  , country="AXIS", medium="Ground" , }
Targets.SDKFZ251	 = { category=MissionCombat.LTARMORED.category, type="Sd_Kfz_251", typename="APC Sd.Kfz.251"  , enterservice=1941 , retired=1952  , speed=25*KNOTS  , country="AXIS", medium="Ground" , }
Targets.M4TRACTOR = { category=MissionCombat.LTARMORED.category, type="M4_Tractor", typename="M4 Tractor" , asset="WWII" , enterservice=1941 , retired=1949  , speed=15*KNOTS  , country="ALLIED", medium="Ground" , }
Targets.DAIMLERAC = { category=MissionCombat.LTARMORED.category, type="Daimler_AC", typename="Armoured car" , asset="WWII" , enterservice=1941 , retired=1949  , speed=22*KNOTS  , country="ALLIED", medium="Ground" , }
Targets.M2A1HALFTRACK = { category=MissionCombat.LTARMORED.category, type="M2A1_halftrack", typename="M2A1 Halftrack" , enterservice=1941 , retired=1952  , speed=15*KNOTS  , country="ALLIED", medium="Ground" , }
Targets.WESPE124 		= { category=MissionCombat.ARTILLERY.category, type="Wespe124", typename="Kfz 124 Wespe" , asset="WWII" , enterservice=1943, retired=1949 , speed=11*KNOTS , country="AXIS", medium="Ground" , }

-- TARGETS WWII ASSET PACK BOMBERS OR TRANSPORTS
Targets.B17G 		={  category=MissionCombat.BOMBER.category , type="B-17G" ,  gpylons=pylons.A2G.B17G, pylons=pylons.A2G.B17G, asset="WWII" , enterservice=1941 , retired=1949 , wing="fixed" ,fuel=1500 , speed=128*KNOTS , country="ALLIED" , escort="SpitfireLFMkIX" , medium="Airborne" , isheavy = true, }
Targets.A20G  		={  category=MissionCombat.BOMBER.category , type="A-20G" , gpylons=pylons.A2G.A20G, pylons=pylons.A2G.B17G , enterservice=1941 , retired=1949 , wing="fixed" ,fuel=1500 , speed=150*KNOTS , country="ALLIED" , escort="P-51D-30-NA" , medium="Airborne" , isheavy = true, }
Targets.JU88A4		={  category=MissionCombat.BOMBER.category , type="Ju-88A4" , gpylons=pylons.A2G.JU88A4, pylons=pylons.A2G.B17G, asset="WWII" , enterservice=1941 , retired=1949 , wing="fixed" ,fuel=2120 , speed=120*KNOTS , country="AXIS" , escort="Bf-109K-4" , medium="Airborne" , isheavy = true, }
Targets.C47			={ category=MissionCombat.UNARMEDAIR.category , type="C-47" , asset="WWII" , enterservice=1941 , retired=1960 , wing="fixed" ,fuel=2120 , speed=102*KNOTS , country="ALLIED"  , medium="Airborne" , isheavy = true, }

-- TARGETS ARTILLERY
Targets.SAU2C9 = { category=MissionCombat.ARTILLERY.category, type="SAU 2-C9", enterservice=1981 , retired=2025  , speed=15*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.SAUAKATSIA = { category=MissionCombat.ARTILLERY.category, type="SAU Akatsia", enterservice=1971 , retired=2025  , speed=15*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.SAUGVOZDIKA  = { category=MissionCombat.ARTILLERY.category, type="SAU Gvozdika", enterservice=1972 , retired=2025  , speed=15*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.SAUMSTA 		= { category=MissionCombat.ARTILLERY.category, type="SAU Msta", enterservice=1989 , retired=2025  , speed=16*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.M109 		= { category=MissionCombat.ARTILLERY.category, type="M-109", typename="M-109 Howitzer" ,enterservice=1963 , retired=2025  , speed=15*KNOTS , country="NATO" , medium="Ground" ,}
Targets.SPGHDANA		= { category=MissionCombat.ARTILLERY.category, type="SpGH_Dana", typename="SpGH DANA" , enterservice=1980 , retired=2025  , speed=15*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.GRADURAL			= { category=MissionCombat.ARTILLERY.category, type="Grad-URAL", enterservice=1963 , retired=2025  , speed=16*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.MLRS		= { category=MissionCombat.ARTILLERY.category, type="MLRS", typename="M270 MLRS" , enterservice=1983 , retired=2025  , speed=17*KNOTS , country="NATO", medium="Ground" , }
Targets.MLRSFDDM 		= { category=MissionCombat.ARTILLERY.category, type="MLRS FDDM",typename="FDDM MLRS" , enterservice=1983, retired=2025  , speed=20*KNOTS , country="NATO" , medium="Ground" ,}
Targets.SMERCH			= { category=MissionCombat.ARTILLERY.category, type="Smerch", enterservice=1989 , retired=2025  , speed=16*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.URAGANBM27			= { category=MissionCombat.ARTILLERY.category, type="Uragan_BM-27", typename="Uragan BM-27" , enterservice=1975 , retired=2025  , speed=16*KNOTS , country="RUSSIA", medium="Ground" , }

-- -- TARGETS LIGHT ARMORED
Targets.AAV7		= { category=MissionCombat.LTARMORED.category, type="AAV7", typename="AAV-7" , enterservice=1972 , retired=2025  , speed=20*KNOTS , country="NATO", medium="Ground" , }
Targets.M1043HMMWVARMAMENT = { category=MissionCombat.LTARMORED.category, type="M1043 HMMWV Armament", typename="HMMWV M1043" , enterservice=1986 , retired=2025  , speed=31*KNOTS , country="NATO", medium="Ground" , }
Targets.M1126STRYKERICV = { category=MissionCombat.LTARMORED.category, type="M1126 Stryker ICV", typename="M1126 Stryker" ,enterservice=2002 , retired=2025  , speed=31*KNOTS , country="NATO", medium="Ground" , }
Targets.M113  = { category=MissionCombat.LTARMORED.category, type="M-113",typename="M-113 APC" , enterservice=1960 , retired=2025  , speed=16*KNOTS , country="NATO", medium="Ground" , }
Targets.M1134STRYKERATGM  = { category=MissionCombat.LTARMORED.category, type="M1134 Stryker ATGM" ,enterservice=2003 , retired=2025  , speed=20*KNOTS , country="NATO", medium="Ground" , }
Targets.M1045HMMWVTOW 	= { category=MissionCombat.LTARMORED.category, type="M1045 HMMWV TOW", typename="HMMWV TOW M1045" , enterservice=1986 , retired=2025  , speed=31*KNOTS , country="NATO", medium="Ground" , }
Targets.LAV25		= { category=MissionCombat.LTARMORED.category, type="LAV-25", typename="LAV-25 AARV" , enterservice=1983 , retired=2025  , speed=27*KNOTS , country="NATO" , medium="Ground" ,}
Targets.M2BRADLEY	= { category=MissionCombat.LTARMORED.category, type="M-2 Bradley", enterservice=1981 , retired=2025  , speed=18*KNOTS , country="NATO" , medium="Ground" ,}
Targets.M1128STRYKERMGS = { category=MissionCombat.LTARMORED.category, type="M1128 Stryker MGS",  enterservice=2007 , retired=2025  , speed=20*KNOTS , country="NATO" , medium="Ground" ,}
Targets.BMD1			= { category=MissionCombat.LTARMORED.category, type="BMD-1", typename="BMD-1 IFV" , enterservice=1969 , retired=2025  , speed=16*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.BMP2			= { category=MissionCombat.LTARMORED.category, type="BMP-2", typename="BMP-2 ICV" , enterservice=1985 , retired=2025  , speed=18*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.BMP3			= { category=MissionCombat.LTARMORED.category, type="BMP-3", typename="BMP-3 ICV" , enterservice=1990 , retired=2025  , speed=19*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.BRDM2			= { category=MissionCombat.LTARMORED.category, type="BRDM-2", typename="BRDM-2 Scout Car" , enterservice=1962 , retired=2025  , speed=27*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.BTR80			= { category=MissionCombat.LTARMORED.category, type="BTR-80", typename="BTR-80 APC" , enterservice=1986 , retired=2025  , speed=19*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.BTR82A			= { category=MissionCombat.LTARMORED.category, type="BTR-82A", typename="BTR-82A APC" , enterservice=1986 , retired=2025  , speed=19*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.BTRD			= { category=MissionCombat.LTARMORED.category, type="BTR_D", typename="BTR-D APC" , enterservice=1974 , retired=2025  , speed=16*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.BOMAN			= { category=MissionCombat.LTARMORED.category, type="Boman", typename="Boman" , enterservice=1970 , retired=2025  , speed=16*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.COBRA 		= { category=MissionCombat.LTARMORED.category, type="Cobra", typename="Cobra" , enterservice=1997 , retired=2025  , speed=32*KNOTS , country="NATO", medium="Ground" , }
Targets.MCV80 		= { category=MissionCombat.LTARMORED.category, type="MCV-80",  typename="MCV-80 Warrior" , enterservice=1988 , retired=2025  , speed=20*KNOTS , country="NATO", medium="Ground" , }
Targets.MTLB			= { category=MissionCombat.LTARMORED.category, type="MTLB", typename="MT-LB APC" , enterservice=1957 , retired=2025  , speed=16*KNOTS , country="RUSSIA", medium="Ground" , }
Targets.MARDER 		= { category=MissionCombat.LTARMORED.category, type="Marder", typename="Marder IFV" , enterservice=1971, retired=2025 , speed=20*KNOTS , country="NATO", medium="Ground" , }
Targets.TPZ 		= { category=MissionCombat.LTARMORED.category, type="TPZ",typename="TPz Fuchs APC" ,  enterservice=1979, retired=2025 , speed=29*KNOTS , country="NATO", medium="Ground" , }

-- TARGETS UNARMED
Targets.URAL375		= { category=MissionCombat.UNARMED.category, type="Ural-375", typename="Ural-375 Truck" , enterservice=1961 , retired=1976  , speed=44 , country="RUSSIA", medium="Ground" , } 
Targets.URAL4320T	= { category=MissionCombat.UNARMED.category, type="Ural-4320T", typename="Ural-4320T Truck" , enterservice=1976 , retired=2025  , speed=44 , country="RUSSIA" , medium="Ground" ,} 
Targets.TIGR233036	= { category=MissionCombat.UNARMED.category, type="Tigr_233036", typename="GAZ Tigr IMV" , enterservice=2000 , retired=2025  , speed=90 , country="RUSSIA" , medium="Ground" ,} 
Targets.M818		= { category=MissionCombat.UNARMED.category, type="M 818", typename="M939 Truck" , enterservice=1970 , retired=2025  , speed=47 , country="NATO" , medium="Ground" ,}
Targets.HUMMER		= { category=MissionCombat.UNARMED.category, type="Hummer", enterservice=1984 , retired=2025  , speed=31*KNOTS , country="NATO" , medium="Ground" ,}
Targets.M978HEMTTTANKER = { category=MissionCombat.UNARMED.category, type="M978 HEMTT Tanker", typename="M978 Tanker Truck" , enterservice=1982 , retired=2025  , speed=20*KNOTS , country="NATO" , medium="Ground" , }
Targets.HEMTTTFFT 		 = { category=MissionCombat.UNARMED.category, type="HEMTT TFFT", typename="HEMTT Tactical Truck" , enterservice=1982 , retired=2025  , speed=20*KNOTS , country="NATO"  , medium="Ground" ,}
Targets.ATMZ5 		= { category=MissionCombat.UNARMED.category, type="ATMZ-5", typename="ATZ-5 Fuel Truck" , enterservice=1976 , retired=2025  , speed=44 , country="RUSSIA" , medium="Ground" ,} 
Targets.ATZ10 		= { category=MissionCombat.UNARMED.category, type="ATZ-10", typename="ATZ-10 Fuel Truck" , enterservice=1976 , retired=2025  , speed=44 , country="RUSSIA" , medium="Ground" , } 
Targets.GAZ3308		= { category=MissionCombat.UNARMED.category, type="GAZ-3308", typename="GAZ-3308 Truck" , enterservice=1997 , retired=2025  , speed=20*KNOTS , country="RUSSIA" , medium="Ground" , } 
Targets.GAZ66 		= { category=MissionCombat.UNARMED.category, type="GAZ-66", typename="GAZ-66 Truck" , enterservice=1985 , retired=2025  , speed=20*KNOTS , country="RUSSIA" , medium="Ground" ,} 
Targets.ZIL135 		= { category=MissionCombat.UNARMED.category, type="ZIL-135", typename="ZIL-135 Truck" , enterservice=1960 , retired=2025  , speed=20*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.ATZ60MAZ	= { category=MissionCombat.UNARMED.category, type="ATZ-60_Maz", typename="ATZ-60 Tractor" , enterservice=1980 , retired=2025  , speed=20*KNOTS , country="RUSSIA" , medium="Ground" ,}
Targets.TZ22KRAZ	= { category=MissionCombat.UNARMED.category, type="TZ-22_KrAZ", typename="TZ-22 KrAZ Tractor" , enterservice=1967 , retired=2025  , speed=20*KNOTS , country="RUSSIA" , medium="Ground" ,}

-- FIGHTERS
Targets.F15E			= {  category=MissionCombat.FIGHTER.category, type="F-15E", pylons=pylons.A2A.F15E , enterservice=1989 , retired=2025 , wing="fixed" , fuel=10246, speed=736*KNOTS , country="NATO", medium="Airborne" , }
Targets.F16AMLU			= { datedlivery = true, category=MissionCombat.FIGHTER.category, type="F-16A MLU", typename="F-16A" , pylons=pylons.A2A.F16 , enterservice=1997 , retired=2025 , wing="fixed" , fuel=3104, speed=588*KNOTS , country="NATO" , medium="Airborne" ,}
Targets.F16CBL50		= { datedlivery = true, category=MissionCombat.FIGHTER.category, type="F-16C bl.50", typename="F-16C" , pylons=pylons.A2A.F16 , enterservice=1984 , retired=2025 , wing="fixed" , fuel=3104, speed=588*KNOTS , country="NATO" , medium="Airborne" , }
Targets.MIG25PD			= { category=MissionCombat.FIGHTER.category, type="MiG-25PD", pylons=pylons.A2A.MIG25PD, enterservice=1970 , retired=1995 , wing="fixed" , fuel=4500, speed=310*KNOTS , country="RUSSIA", medium="Airborne" , }
Targets.MIG27K			= { category=MissionCombat.FIGHTER.category, type="MiG-27K",   pylons=pylons.A2A.MIG27K, enterservice=1975 , retired=1995 , wing="fixed" , fuel=4500, speed=375*KNOTS , country="RUSSIA", medium="Airborne" , }
Targets.MIG31			= { category=MissionCombat.FIGHTER.category, type="MiG-31", pylons=pylons.A2A.MIG31, enterservice=1981 , retired=2025 , wing="fixed" , fuel=4500, speed=375*KNOTS , country="RUSSIA", medium="Airborne" , }
Targets.MIRAGE20005		= {  category=MissionCombat.FIGHTER.category, type="Mirage 2000-5",  pylons=pylons.A2A.MIRAGE20005, enterservice=1984 , retired=2025 , wing="fixed" , fuel=3160, speed=403*KNOTS , country="NATO", medium="Airborne" , }
Targets.SU17M4			= { category=MissionCombat.FIGHTER.category, type="Su-17M4", pylons=pylons.A2A.SU17M4, enterservice=1970 , retired=1995 , wing="fixed" , fuel=3770, speed=375*KNOTS , country="RUSSIA", medium="Airborne" , }
Targets.SU24M			= {  category=MissionCombat.FIGHTER.category, type="Su-24M", pylons=pylons.A2A.SU24M, enterservice=1974 , retired=2025 , wing="fixed" , fuel=3770, speed=388*KNOTS , country="RUSSIA", medium="Airborne" , }
Targets.SU30 			= {  category=MissionCombat.FIGHTER.category, type="Su-30", pylons=pylons.A2A.SU30, enterservice=1996 , retired=2025 , wing="fixed" , fuel=9400, speed=403*KNOTS , country="RUSSIA" , medium="Airborne" ,} 
Targets.SU34			= { category=MissionCombat.FIGHTER.category, type="Su-34", pylons=pylons.A2A.SU34, enterservice=1996 , retired=2025 , wing="fixed" , fuel=9800, speed=403*KNOTS , country="RUSSIA", medium="Airborne" , }   
Targets.TORNADOGR4		= { category=MissionCombat.FIGHTER.category, type="Tornado GR4",  pylons=pylons.A2A.TORNADOGR4, enterservice=1979 , retired=2025 , wing="fixed" , fuel=4663, speed=306*KNOTS , country="NATO" , medium="Airborne" ,  }
Targets.F4E				= { datedlivery = true, category=MissionCombat.FIGHTER.category, type="F-4E",  pylons=pylons.A2A.F4E, enterservice=1964 , retired=1992 , wing="fixed" , fuel=4864, speed=332*KNOTS , country="NATO" , medium="Airborne" ,  }

-- BOMBERS
Targets.B52H		= { datedlivery = true, category=MissionCombat.BOMBER.category, type="B-52H", enterservice=1955 , retired=2025  , gpylons=pylons.A2G.B52H,   wing="fixed" , fuel=141135,  speed=266*KNOTS , country="NATO" ,medium="Airborne" ,isheavy = true, }
Targets.TU95MS		= { datedlivery = true, category=MissionCombat.BOMBER.category, type="Tu-95MS", enterservice=1956 , retired=2025  , gpylons=pylons.A2G.TU95MS,  wing="fixed" , fuel= 87000, speed=266*KNOTS , country="RUSSIA" ,medium="Airborne" , isheavy = true, }
Targets.B1B			= { category=MissionCombat.BOMBER.category, type="B-1B", enterservice=1986 , retired=2025 , gpylons=pylons.A2G.B1B, wing="fixed" , fuel=88450, speed=178*KNOTS , country="NATO" , medium="Airborne" , isheavy = true,}
Targets.TU142		= { category=MissionCombat.BOMBER.category, type="Tu-142", enterservice=1972 , retired=2025  , gpylons=pylons.A2G.TU142, wing="fixed" , fuel= 87000, speed=175*KNOTS , country="RUSSIA" ,medium="Airborne" , isheavy = true,}
Targets.TU160		= { category=MissionCombat.BOMBER.category, type="Tu-160", enterservice=1987 , retired=2025  , gpylons=pylons.A2G.TU160, wing="fixed" , fuel= 87000, speed=286*KNOTS , country="RUSSIA" ,medium="Airborne" , isheavy = true,}  
Targets.TU22M3		= {  category=MissionCombat.BOMBER.category, type="Tu-22M3", enterservice=1972 , retired=2025  ,gpylons=pylons.A2G.TU22M3,  wing="fixed" , fuel= 50000, speed=292*KNOTS , country="RUSSIA" ,medium="Airborne" , isheavy = true,} 

-- ROTARY 
Targets.AH1W		= { category=MissionCombat.ROTARY.category, type="AH-1W", enterservice=1986 , retired=2025  , wing="rotary" , fuel=3000,  speed=58*KNOTS , country="NATO" ,rlivery="USA X Black" , blivery="standard", medium="Airborne" ,  }
Targets.AH64D		= { datedlivery = true, category=MissionCombat.ROTARY.category, type="AH-64D", enterservice=1986 , retired=2025  , wing="rotary" , fuel=1157,  speed=58*KNOTS , country="NATO" , medium="Airborne" , }
Targets.CH47D		= {  datedlivery = true, category=MissionCombat.ROTARY.category, type="CH-47D", enterservice=1962 , retired=2025  , wing="rotary" , fuel=3600,  speed=58*KNOTS , country="NATO" , medium="Airborne" , }
Targets.CH53E		= { category=MissionCombat.ROTARY.category, type="CH-53E", enterservice=1981 , retired=2025  , wing="rotary" , fuel=6940,  speed=58*KNOTS , country="NATO" , medium="Airborne" , }
Targets.KA27		= {  category=MissionCombat.ROTARY.category, type="Ka-27", enterservice=1982 , retired=2025  , wing="rotary" , fuel=2616,  speed=66*KNOTS , country="RUSSIA" , medium="Airborne" , }
Targets.MI24V		= {  category=MissionCombat.ROTARY.category, type="Mi-24V", enterservice=1972 , retired=2025  , wing="rotary" , fuel=1704,  speed=58*KNOTS , country="RUSSIA" ,medium="Airborne" ,}
Targets.MI26		= {  category=MissionCombat.ROTARY.category, type="Mi-26", enterservice=1983 , retired=2025  , wing="rotary" , fuel=9600,  speed=58*KNOTS , country="RUSSIA" ,medium="Airborne" ,}
Targets.MI28N		= {  category=MissionCombat.ROTARY.category, type="Mi-28N", enterservice=2009 , retired=2025  , wing="rotary" , fuel=1500,  speed=58*KNOTS , country="RUSSIA" ,medium="Airborne" ,}
Targets.OH58D		= {  category=MissionCombat.ROTARY.category, type="OH-58D", enterservice=1969 , retired=2025  , wing="rotary" , fuel=1157,  speed=58*KNOTS , country="NATO" ,medium="Airborne" ,}
Targets.SH60B		= { datedlivery = true, category=MissionCombat.ROTARY.category, type="SH-60B", enterservice=1984 , retired=2025  , wing="rotary" , fuel=1100,  speed=58*KNOTS , country="NATO" ,medium="Airborne" ,}
Targets.UH60A		= { datedlivery = true, category=MissionCombat.ROTARY.category, type="UH-60A", enterservice=1984 , retired=2025  , wing="rotary" , fuel=1100,  speed=58*KNOTS , country="NATO" ,medium="Airborne" ,}

-- TRANSPORTS or TANKERS
Targets.C130 		={ category=MissionCombat.HEAVY.category , type="C-130", enterservice=1957 , retired=2025 , wing="fixed" , fuel= 20830, speed=173*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true, blivery="US Air Force" , rlivery="Algerian AF Green" }
Targets.KC135		={ category=MissionCombat.HEAVY.category , type="KC-135", enterservice=1957 , retired=2025 , wing="fixed" , fuel=90700, speed=230*KNOTS , country="NATO", medium="Airborne" , isheavy = true, }
Targets.KC135MPRS	={  category=MissionCombat.HEAVY.category , type="KC135MPRS", enterservice=1957 , retired=2025 , wing="fixed" , fuel=90700, speed=230*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true, }
Targets.KC130		={ category=MissionCombat.HEAVY.category , type="KC130", enterservice=1962,  retired=2025 , wing="fixed" , fuel=20830 , speed=167*KNOTS , country="NATO" , medium="Airborne" , isheavy = true, }
Targets.AN26B		={category=MissionCombat.UNARMEDAIR.category , type="An-26B", enterservice=1970 , retired=2025 , wing="fixed" , fuel=5500 , speed=178*KNOTS , country="RUSSIA" , medium="Airborne" ,  isheavy = true, }
Targets.IL78M		={ category=MissionCombat.HEAVY.category , type="IL-78M", enterservice=1987 , retired=2025 , wing="fixed" , fuel=70000, speed=236*KNOTS , country="RUSSIA", medium="Airborne" ,  isheavy = true, }
Targets.A50			={ category=MissionCombat.HEAVY.category , type="A-50", enterservice=1984 , retired=2025 , wing="fixed" , fuel=70000, speed=236*KNOTS , country="RUSSIA", medium="Airborne" ,    isheavy = true,}
Targets.AN30M		={ category=MissionCombat.UNARMEDAIR.category , type="An-30M", enterservice=1968 , retired=2025 , wing="fixed" , fuel=5500, speed=178*KNOTS , country="RUSSIA", medium="Airborne" ,   isheavy = true, }
Targets.C17A		={ category=MissionCombat.HEAVY.category , type="C-17A", enterservice=1995 , retired=2025 , wing="fixed" , fuel= 132405, speed=194*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true,  }
Targets.E2C			={ category=MissionCombat.UNARMEDAIR.category , type="E-2C", enterservice=1964 , retired=2025 , wing="fixed" , fuel= 5624, speed=178*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true, }
Targets.E3A			={  category=MissionCombat.UNARMEDAIR.category , type="E-3A", enterservice=1977 , retired=2025 , wing="fixed" , fuel= 65000, speed=280*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true,  }
Targets.IL76MD 		={  category=MissionCombat.HEAVY.category , type="IL-76MD", enterservice=1974 , retired=2025 , wing="fixed" , fuel= 70000, speed=167*KNOTS , country="RUSSIA" , medium="Airborne" , tisheavy = true,   }
Targets.S3BTANKER	={ datedlivery = true, category=MissionCombat.UNARMEDAIR.category , type="S-3B Tanker", enterservice=1974 , retired=2025 , wing="fixed" , fuel= 8000, speed=222*KNOTS , country="NATO" , medium="Airborne" ,  isheavy = true, }
Targets.S3B	={ datedlivery = true, category=MissionCombat.UNARMEDAIR.category , type="S-3B", enterservice=1974 , retired=2025 , wing="fixed" , fuel= 8000, speed=222*KNOTS , country="NATO" , medium="Airborne" ,   isheavy = true, }

-- FORTIFICATIONS
Targets.BUNKER 		={ category=MissionCombat.HARDENED.category , type="Bunker", enterservice=1943 , retired=2025  , speed=0, country="NONE" ,  medium="Ground" ,} 
Targets.SANDBOX 	={ category=MissionCombat.HARDENED.category , type="Sandbox", typename="Sandbox Bunker" , enterservice=1943 , retired=2025 ,  speed=0, country="NONE" ,  medium="Ground" ,} 
Targets.OUTPOST		={ category=MissionCombat.HARDENED.category , type="outpost", enterservice=1943 , retired=2025 ,  speed=0, country="NONE" ,  medium="Ground" ,} 

-- SHIPS
Targets.SPEEDBOAT	={ category=MissionCombat.SMALLBOAT.category , type="speedboat", typename="Speedboat" , enterservice=1943 , retired=2025  , speed=30*KNOTS , country="NONE" , medium="Water" , }
Targets.LHATARAWA	={ category=MissionCombat.ASSCARRIER.category , type="LHA_Tarawa", typename="Amphibious Assault Ship" , enterservice=1971 , retired=2025  , speed=15*KNOTS, country="NATO" ,medium="Water" , }
Targets.VINSON 		={ category=MissionCombat.AIRCARRIER.category , type="VINSON", typename="Nimitz Class Carrier" , enterservice=1980 , retired=2025  , speed=15*KNOTS, country="NATO" , medium="Water" ,}
Targets.TICONDEROG	={ category=MissionCombat.DESTROYER.category , type="TICONDEROG", typename="Ticonderoga-Class Cruiser" , enterservice=1983 , retired=2025  , speed=15*KNOTS, country="NATO" ,medium="Water" , }
Targets.PERRY 		={ category=MissionCombat.DESTROYER.category , type="PERRY", typename="Hazard Perry Class Destroyer" , enterservice=1977 , retired=2025  , speed=15*KNOTS, country="NATO" ,medium="Water" , }
Targets.ARLEIGHBURKE ={ category=MissionCombat.DESTROYER.category , type="USS_Arleigh_Burke_IIa", typename="Arleigh Burke Class Destroyer" , enterservice=1991 , retired=2025  , speed=15*KNOTS, country="NATO" ,medium="Water" , }
Targets.STENNIS		={ category=MissionCombat.AIRCARRIER.category , type="Stennis", enterservice=1993 , typename="Nimitz Class Carrier" , retired=2025  , speed=15*KNOTS, country="NATO" , medium="Water" ,}
Targets.ALBATROS	={ category=MissionCombat.FRIGATE.category , type="ALBATROS", typename="ASW Corvette", enterservice=1985 , retired=2025  , speed=15*KNOTS, country="RUSSIA" , medium="Water" ,}
Targets.DRYCARGOSHIP1={ category=MissionCombat.CARGOSHIP_UNARMED.category , type="Dry-cargo ship-1", typename="Builk Cargo Ship", enterservice=1949 , retired=2025  , speed=7*KNOTS, country="NONE" , medium="Water" ,} 
Targets.DRYCARGOSHIP2={ category=MissionCombat.CARGOSHIP_UNARMED.category , type="Dry-cargo ship-2", typename="Cargo Ship",  enterservice=1958 , retired=2025  , speed=7*KNOTS, country="NONE" ,medium="Water" , } 
Targets.ELNYA 		={ category=MissionCombat.CARGOSHIP_UNARMED.category , type="ELNYA", typename="Tanker",  enterservice=1958 , retired=2025  , speed=7*KNOTS, country="NONE" ,medium="Water" , }
Targets.SEAWISEGIANT={ category=MissionCombat.CARGOSHIP_UNARMED.category , type="Seawise_Giant", typename="Tanker Seawise Giant",  enterservice=1975 , retired=2025  , speed=9*KNOTS, country="NONE" ,medium="Water" , }
Targets.KILO  		={ category=MissionCombat.SUBMARINE.category , type="KILO", typename="Attack Submarine",  enterservice=1980 , retired=2025  , speed=8*KNOTS, country="NONE" , medium="Water" ,} 
Targets.KUZNECOW	={ category=MissionCombat.AIRCARRIER.category , type="KUZNECOW", typename="Kuznetsov Class Carrier",  enterservice=1990 , retired=2025  , speed=12*KNOTS, country="RUSSIA" ,medium="Water" , } 
Targets.MOLNIYA		={ category=MissionCombat.FRIGATE.category , type="MOLNIYA", typename="Molniya Class Corvette", enterservice=1990 , retired=2025  , speed=12*KNOTS, country="RUSSIA" , medium="Water" ,}
Targets.MOSCOW 		={ category=MissionCombat.DESTROYER.category , type="MOSCOW", typename="Atlant Class Cruiser", enterservice=1979 , retired=2025  , speed=12*KNOTS, country="RUSSIA" , medium="Water" ,}
Targets.PIOTR  		={ category=MissionCombat.DESTROYER.category , type="PIOTR", typename="Kirov Class Cruiser", enterservice=1980 , retired=2025  , speed=12*KNOTS, country="RUSSIA" , medium="Water" ,}
Targets.REZKY 		={ category=MissionCombat.FRIGATE.category , type="REZKY", typename="Krivak Class Frigate", enterservice=1983 , retired=2025  , speed=12*KNOTS, country="RUSSIA" , medium="Water" , }
Targets.NEUSTRASH	={ category=MissionCombat.FRIGATE.category , type="NEUSTRASH", typename="Neustrashimyy Class Frigate", enterservice=1986 , retired=2025  , speed=12*KNOTS, country="RUSSIA" , medium="Water" , }
Targets.SOM 		={ category=MissionCombat.SUBMARINE.category , type="SOM", typename="Tango Class Submarine", enterservice=1972 , retired=2010  , speed=8*KNOTS, country="NONE" , medium="Water" , }
Targets.HANDYWIND	={ category=MissionCombat.CARGOSHIP_UNARMED.category , type="HandyWind", typename="Bulk Cargo Ship",  enterservice=2000 , retired=2025  , speed=14*KNOTS, country="NONE" ,medium="Water" , } 

-- SHIPS WWII ASSET PACK
Targets.HIGGINSBOAT 		={ category=MissionCombat.SMALLBOAT.category , type="Higgins_boat", typename="Landing Craft" ,  asset="WWII" , enterservice=1943 , retired=1960  , speed=6*KNOTS , country="NONE" , medium="Water" ,}
Targets.LSTMK2	={ category=MissionCombat.CARGOSHIP.category , type="LST_Mk2", typename="Landing Ship" ,  asset="WWII" , enterservice=1943 , retired=1959  , speed=6*KNOTS , country="NONE" ,medium="Water" , }
Targets.USSSAMUELCHASE ={ category=MissionCombat.CARGOSHIP.category , type="USS_Samuel_Chase", typename="Armed Transport" ,  asset="WWII" , enterservice=1943 , retired=1959  , speed=9*KNOTS , country="NONE" , medium="Water" ,}
Targets.SCHNELLBOOTTYPES130 ={ category=MissionCombat.FASTATTACK.category , type="Schnellboot_type_S130", typename="Fast Attack Boat" ,  asset="WWII" , enterservice=1943 , retired=1959  , speed=22*KNOTS , country="NONE" , medium="Water" ,}
Targets.UBOATVIIC	={ category=MissionCombat.SUBMARINE.category , type="Uboat_VIIC", typename="U-Boat" ,  asset="WWII" , enterservice=1943 , retired=1959  , speed=22*KNOTS , country="NONE" , medium="Water" ,}

Targets.SOLDIERAK	= { category=MissionCombat.TROOPS.category, type="Soldier AK", typename="Ground Troops" , enterservice=1947 , retired=2025  , speed=4 , country="RUSSIA", medium="Ground" , }
Targets.INFANTRYAK	= { category=MissionCombat.TROOPS.category, type="Infantry AK", typename="Ground Troops" , enterservice=1947 , retired=2025  , speed=4 , country="RUSSIA", medium="Ground" , }
Targets.SOLDIERM249	= { category=MissionCombat.TROOPS.category, type="Soldier M249", typename="Ground Troops" , enterservice=1947 , retired=2025  , speed=4 , country="NATO", medium="Ground" , }

Targets.PARATROOPERRPG16 = { category=MissionCombat.TROOPS.category, type="Paratrooper RPG-16" ,  typename="Paratrooper" , enterservice=1947 , retired=2025  , speed=4 , country="NONE", medium="Ground" , }
Targets.SOLDIERRPG = { category=MissionCombat.TROOPS.category, type="Soldier RPG" ,  typename="Ground Troops" , enterservice=1947 , retired=2025  , speed=4 , country="NATO", medium="Ground" , }
Targets.PARATROOPERAKS74 = { category=MissionCombat.TROOPS.category, type="Paratrooper AKS-74" ,  typename="Paratrooper" , enterservice=1947 , retired=2025  , speed=4 , country="NONE", medium="Ground" , }



InfantryTargets= {}
InfantryTargets["2B11MORTAR"]	= { category=MissionCombat.ARTILLERY.category, type="2B11 mortar", typename="Mortar" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }
InfantryTargets.SOLDIERAK	= { category=MissionCombat.ARTILLERY.category, type="Soldier AK", typename="Ground Troops" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }
InfantryTargets.INFANTRYAK	= { category=MissionCombat.ARTILLERY.category, type="Infantry AK", typename="Ground Troops" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }
InfantryTargets.SOLDIERM4GRG	= { category=MissionCombat.ARTILLERY.category, type="Soldier M4 GRG", typename="Ground Troops" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }
InfantryTargets.SOLDIERM249	= { category=MissionCombat.ARTILLERY.category, type="Soldier M249", typename="Ground Troops" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }

MissingAircraft ={   category=MissionCombat.FIGHTER.category, altimeter="feet",  smoke=pylons.A2G.EMPTY , pylons=pylons.A2G.EMPTY  ,gpylons=pylons.A2G.EMPTY  ,country="NATO" , enterservice=1990 , retired=2025, wing="fixed" , type="" , typename="" , fuel=0, speed=0, rlivery="" , blivery="" ,tanker="KC135" ,medium="Airborne" , }

gRefuelSpeeds ={}
gRefuelSpeeds["A-10A"] = { speed=220 , }
gRefuelSpeeds["A-10C"] = { speed=220 , }
gRefuelSpeeds["A-10C"] = { speed=220 , }
gRefuelSpeeds["F-14A-135-GR"] = { speed=285 , }
gRefuelSpeeds["AV8BNA"] = { speed=275 , }
gRefuelSpeeds["F-15C"] = { speed=315 , }
gRefuelSpeeds["MiG-29A"] = { speed=285 , }
gRefuelSpeeds["AJS-37"] = { speed=285 , }
gRefuelSpeeds["F-14B"] = { speed=285 , }
gRefuelSpeeds["FA-18C_hornet"] = { speed=285 , }
gRefuelSpeeds["M-2000C"] = { speed=260 , }
gRefuelSpeeds["F-16C_50"] = { speed=315 , }
gRefuelSpeeds["Su-33"] = { speed=285 , }
gRefuelSpeeds["JF-17"] = { speed=275 , }
gRefuelSpeeds["Mirage-F1CE"] = { speed=275 , }
gRefuelSpeeds["TF-51D"] = { speed=180 , }
gRefuelSpeeds["C-101CC"] = { speed=180 , }
gRefuelSpeeds["C-101EB"] = { speed=180 , }
gRefuelSpeeds["L-39C"] = { speed=180 , }
gRefuelSpeeds["L-39ZA"] = { speed=180 , }
gRefuelSpeeds["Yak-52"] = { speed=180 , }
gRefuelSpeeds["Hawk"] = { speed=180 , }

formation = {}
formation.WWIIBomberOpen = { [1] = {["params"] = {["action"] = {["params"] = {["variantIndex"] = 2,["name"] = 5,["formationIndex"] = 12,["value"] = 786434,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.WWIIBomberTight = { [1] = {["params"] = {["action"] = {["params"] = {["variantIndex"] = 1,["name"] = 5,["formationIndex"] = 12,["value"] = 786433,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.WWIIFighterTight = { [1] = {["params"] = {["action"] = {["params"] = {["variantIndex"] = 1,["name"] = 5,["formationIndex"] = 14,["value"] = 917505,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.WWIIFighterOpen = { [1] = {["params"] = {["action"] = {["params"] = {["variantIndex"] = 2,["name"] = 5,["formationIndex"] = 14,["value"] = 917506,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.RotaryWedge = { [1] = {["params"] = {["action"] = {["params"] = {["name"] = 5,["formationIndex"] = 8,["value"] = 524288,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.RotaryColumn = { [1] = {["params"] = {["action"] = {["params"] = {["name"] = 5,["formationIndex"] = 11,["value"] = 720896,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
formation.RotaryFront = { [1] = {["params"] = {["action"] = {["params"] = {["variantIndex"] = 1, ["zInverse"] = 0, ["name"] = 5,["formationIndex"] = 10,["value"] = 655361,}, ["id"] = "Option",}, }, ["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,},}
gFormationType =  { WWIIFighterTight=917505 , WWIIFighterOpen=917506 , WWIIBomberOpen=786434 , FingerFourClose=393217, FingerFourOpen=393218,  WWIIBomberTight=786433 , RotaryWedge=524288, RotaryColumn=720896, RotaryFront=655361 , AbreastClose=65539, EchelonRightClose=262147 , EchelonLeftClose=327683 }
--if Debugging == true then printDebug ("EventHandler" ,"Ititerating through targets " , 10 ) end
for fixingKey,fixingValue in pairs(AircraftType) do
		Targets[fixingKey]  = AircraftType[fixingKey] --{ category=MissionCombat.UNARMED.category, type="M 818", enterservice=1945 , retired=2025  , speed=47 , country="USA" }
	--Targets[fixingKey].category = AircraftType[fixingKey].role
end

gAltimeter = {feet="kts" , meters="kph"}

gMaps = { ["caucasus"] = "Caucasus" , ["persian"] = "Persian Gulf" , ["nevada"] = "Nevada" , ["normandy"] = "Normandy" , ["channel"] = "Channel", ["syrian"] = "Syrian",["marianas"] = "Marianas", ["south_america"] = "South America", }
-- WHICH MAP
gMap = gMaps.caucasus
if Airbase.getByName("McCarran International Airport" ) ~= nil then gMap = gMaps.nevada end
if Airbase.getByName("Havadarya" ) ~= nil then gMap = gMaps.persian end                                                               
if Airbase.getByName("Carpiquet" ) ~= nil then gMap = gMaps.normandy end                                                              
if Airbase.getByName("Manston" ) ~= nil then gMap = gMaps.channel end                                                                 
if Airbase.getByName("Abu al-Duhur" ) ~= nil then gMap = gMaps.syrian end
if Airbase.getByName("Antonio B. Won Pat Intl" ) ~= nil then gMap = gMaps.marianas end
if Airbase.getByName("Rio Grande" ) ~= nil then gMap = gMaps.south_america end